import{S as ul,i as _l,s as bl,e as a,k as f,w as v,t as r,M as vl,c as o,d as t,m as i,a as n,x as $,h as l,b as c,G as e,g,y as P,q as j,o as q,B as M,v as $l,L as pa}from"../../chunks/vendor-hf-doc-builder.js";import{D as S}from"../../chunks/Docstring-hf-doc-builder.js";import{C as fa}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as _t}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as la}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Pl(N){let h,y,_,m,E;return m=new fa({props:{code:`from transformers import AutoModelForSequenceClassification
from peft import PeftModelForSequenceClassification, get_peft_config

config = {
    "peft_type": "PREFIX_TUNING",
    "task_type": "SEQ_CLS",
    "inference_mode": False,
    "num_virtual_tokens": 20,
    "token_dim": 768,
    "num_transformer_submodules": 1,
    "num_attention_heads": 12,
    "num_layers": 12,
    "encoder_hidden_size": 768,
    "prefix_projection": False,
    "postprocess_past_key_value_function": None,
}

peft_config = get_peft_config(config)
model = AutoModelForSequenceClassification.from_pretrained("bert-base-cased")
peft_model = PeftModelForSequenceClassification(model, peft_config)
peft_model.print_trainable_parameters()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> peft <span class="hljs-keyword">import</span> PeftModelForSequenceClassification, get_peft_config

<span class="hljs-meta">&gt;&gt;&gt; </span>config = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;peft_type&quot;</span>: <span class="hljs-string">&quot;PREFIX_TUNING&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;task_type&quot;</span>: <span class="hljs-string">&quot;SEQ_CLS&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;inference_mode&quot;</span>: <span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_virtual_tokens&quot;</span>: <span class="hljs-number">20</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;token_dim&quot;</span>: <span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_transformer_submodules&quot;</span>: <span class="hljs-number">1</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_attention_heads&quot;</span>: <span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_layers&quot;</span>: <span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;encoder_hidden_size&quot;</span>: <span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;prefix_projection&quot;</span>: <span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;postprocess_past_key_value_function&quot;</span>: <span class="hljs-literal">None</span>,
<span class="hljs-meta">... </span>}

<span class="hljs-meta">&gt;&gt;&gt; </span>peft_config = get_peft_config(config)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;bert-base-cased&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>peft_model = PeftModelForSequenceClassification(model, peft_config)
<span class="hljs-meta">&gt;&gt;&gt; </span>peft_model.print_trainable_parameters()
trainable params: <span class="hljs-number">370178</span> || <span class="hljs-built_in">all</span> params: <span class="hljs-number">108680450</span> || trainable%: <span class="hljs-number">0.3406113979101117</span>`}}),{c(){h=a("p"),y=r("Example:"),_=f(),v(m.$$.fragment)},l(p){h=o(p,"P",{});var u=n(h);y=l(u,"Example:"),u.forEach(t),_=i(p),$(m.$$.fragment,p)},m(p,u){g(p,h,u),e(h,y),g(p,_,u),P(m,p,u),E=!0},p:pa,i(p){E||(j(m.$$.fragment,p),E=!0)},o(p){q(m.$$.fragment,p),E=!1},d(p){p&&t(h),p&&t(_),M(m,p)}}}function jl(N){let h,y,_,m,E;return m=new fa({props:{code:`from transformers import AutoModelForSequenceClassification
from peft import PeftModelForTokenClassification, get_peft_config

config = {
    "peft_type": "PREFIX_TUNING",
    "task_type": "TOKEN_CLS",
    "inference_mode": False,
    "num_virtual_tokens": 20,
    "token_dim": 768,
    "num_transformer_submodules": 1,
    "num_attention_heads": 12,
    "num_layers": 12,
    "encoder_hidden_size": 768,
    "prefix_projection": False,
    "postprocess_past_key_value_function": None,
}

peft_config = get_peft_config(config)
model = AutoModelForTokenClassification.from_pretrained("bert-base-cased")
peft_model = PeftModelForTokenClassification(model, peft_config)
peft_model.print_trainable_parameters()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> peft <span class="hljs-keyword">import</span> PeftModelForTokenClassification, get_peft_config

<span class="hljs-meta">&gt;&gt;&gt; </span>config = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;peft_type&quot;</span>: <span class="hljs-string">&quot;PREFIX_TUNING&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;task_type&quot;</span>: <span class="hljs-string">&quot;TOKEN_CLS&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;inference_mode&quot;</span>: <span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_virtual_tokens&quot;</span>: <span class="hljs-number">20</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;token_dim&quot;</span>: <span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_transformer_submodules&quot;</span>: <span class="hljs-number">1</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_attention_heads&quot;</span>: <span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_layers&quot;</span>: <span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;encoder_hidden_size&quot;</span>: <span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;prefix_projection&quot;</span>: <span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;postprocess_past_key_value_function&quot;</span>: <span class="hljs-literal">None</span>,
<span class="hljs-meta">... </span>}

<span class="hljs-meta">&gt;&gt;&gt; </span>peft_config = get_peft_config(config)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;bert-base-cased&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>peft_model = PeftModelForTokenClassification(model, peft_config)
<span class="hljs-meta">&gt;&gt;&gt; </span>peft_model.print_trainable_parameters()
trainable params: <span class="hljs-number">370178</span> || <span class="hljs-built_in">all</span> params: <span class="hljs-number">108680450</span> || trainable%: <span class="hljs-number">0.3406113979101117</span>`}}),{c(){h=a("p"),y=r("Example:"),_=f(),v(m.$$.fragment)},l(p){h=o(p,"P",{});var u=n(h);y=l(u,"Example:"),u.forEach(t),_=i(p),$(m.$$.fragment,p)},m(p,u){g(p,h,u),e(h,y),g(p,_,u),P(m,p,u),E=!0},p:pa,i(p){E||(j(m.$$.fragment,p),E=!0)},o(p){q(m.$$.fragment,p),E=!1},d(p){p&&t(h),p&&t(_),M(m,p)}}}function ql(N){let h,y,_,m,E;return m=new fa({props:{code:`from transformers import AutoModelForCausalLM
from peft import PeftModelForCausalLM, get_peft_config

config = {
    "peft_type": "PREFIX_TUNING",
    "task_type": "CAUSAL_LM",
    "inference_mode": False,
    "num_virtual_tokens": 20,
    "token_dim": 1280,
    "num_transformer_submodules": 1,
    "num_attention_heads": 20,
    "num_layers": 36,
    "encoder_hidden_size": 1280,
    "prefix_projection": False,
    "postprocess_past_key_value_function": None,
}

peft_config = get_peft_config(config)
model = AutoModelForCausalLM.from_pretrained("gpt2-large")
peft_model = PeftModelForCausalLM(model, peft_config)
peft_model.print_trainable_parameters()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> peft <span class="hljs-keyword">import</span> PeftModelForCausalLM, get_peft_config

<span class="hljs-meta">&gt;&gt;&gt; </span>config = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;peft_type&quot;</span>: <span class="hljs-string">&quot;PREFIX_TUNING&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;task_type&quot;</span>: <span class="hljs-string">&quot;CAUSAL_LM&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;inference_mode&quot;</span>: <span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_virtual_tokens&quot;</span>: <span class="hljs-number">20</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;token_dim&quot;</span>: <span class="hljs-number">1280</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_transformer_submodules&quot;</span>: <span class="hljs-number">1</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_attention_heads&quot;</span>: <span class="hljs-number">20</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_layers&quot;</span>: <span class="hljs-number">36</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;encoder_hidden_size&quot;</span>: <span class="hljs-number">1280</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;prefix_projection&quot;</span>: <span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;postprocess_past_key_value_function&quot;</span>: <span class="hljs-literal">None</span>,
<span class="hljs-meta">... </span>}

<span class="hljs-meta">&gt;&gt;&gt; </span>peft_config = get_peft_config(config)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;gpt2-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>peft_model = PeftModelForCausalLM(model, peft_config)
<span class="hljs-meta">&gt;&gt;&gt; </span>peft_model.print_trainable_parameters()
trainable params: <span class="hljs-number">1843200</span> || <span class="hljs-built_in">all</span> params: <span class="hljs-number">775873280</span> || trainable%: <span class="hljs-number">0.23756456724479544</span>`}}),{c(){h=a("p"),y=r("Example:"),_=f(),v(m.$$.fragment)},l(p){h=o(p,"P",{});var u=n(h);y=l(u,"Example:"),u.forEach(t),_=i(p),$(m.$$.fragment,p)},m(p,u){g(p,h,u),e(h,y),g(p,_,u),P(m,p,u),E=!0},p:pa,i(p){E||(j(m.$$.fragment,p),E=!0)},o(p){q(m.$$.fragment,p),E=!1},d(p){p&&t(h),p&&t(_),M(m,p)}}}function Ml(N){let h,y,_,m,E;return m=new fa({props:{code:`from transformers import AutoModelForSeq2SeqLM
from peft import PeftModelForSeq2SeqLM, get_peft_config

config = {
    "peft_type": "LORA",
    "task_type": "SEQ_2_SEQ_LM",
    "inference_mode": False,
    "r": 8,
    "target_modules": ["q", "v"],
    "lora_alpha": 32,
    "lora_dropout": 0.1,
    "merge_weights": False,
    "fan_in_fan_out": False,
    "enable_lora": None,
    "bias": "none",
}

peft_config = get_peft_config(config)
model = AutoModelForSeq2SeqLM.from_pretrained("t5-base")
peft_model = PeftModelForSeq2SeqLM(model, peft_config)
peft_model.print_trainable_parameters()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForSeq2SeqLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> peft <span class="hljs-keyword">import</span> PeftModelForSeq2SeqLM, get_peft_config

<span class="hljs-meta">&gt;&gt;&gt; </span>config = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;peft_type&quot;</span>: <span class="hljs-string">&quot;LORA&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;task_type&quot;</span>: <span class="hljs-string">&quot;SEQ_2_SEQ_LM&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;inference_mode&quot;</span>: <span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;r&quot;</span>: <span class="hljs-number">8</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;target_modules&quot;</span>: [<span class="hljs-string">&quot;q&quot;</span>, <span class="hljs-string">&quot;v&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;lora_alpha&quot;</span>: <span class="hljs-number">32</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;lora_dropout&quot;</span>: <span class="hljs-number">0.1</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;merge_weights&quot;</span>: <span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;fan_in_fan_out&quot;</span>: <span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;enable_lora&quot;</span>: <span class="hljs-literal">None</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;bias&quot;</span>: <span class="hljs-string">&quot;none&quot;</span>,
<span class="hljs-meta">... </span>}

<span class="hljs-meta">&gt;&gt;&gt; </span>peft_config = get_peft_config(config)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;t5-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>peft_model = PeftModelForSeq2SeqLM(model, peft_config)
<span class="hljs-meta">&gt;&gt;&gt; </span>peft_model.print_trainable_parameters()
trainable params: <span class="hljs-number">884736</span> || <span class="hljs-built_in">all</span> params: <span class="hljs-number">223843584</span> || trainable%: <span class="hljs-number">0.3952474242013566</span>`}}),{c(){h=a("p"),y=r("Example:"),_=f(),v(m.$$.fragment)},l(p){h=o(p,"P",{});var u=n(h);y=l(u,"Example:"),u.forEach(t),_=i(p),$(m.$$.fragment,p)},m(p,u){g(p,h,u),e(h,y),g(p,_,u),P(m,p,u),E=!0},p:pa,i(p){E||(j(m.$$.fragment,p),E=!0)},o(p){q(m.$$.fragment,p),E=!1},d(p){p&&t(h),p&&t(_),M(m,p)}}}function El(N){let h,y,_,m,E,p,u,bt,ia,qs,T,st,ca,da,vt,ma,ga,at,ha,ua,Ms,H,J,$t,qe,_a,Pt,ba,Es,b,Me,va,jt,$a,Pa,ot,qt,ja,qa,Ma,C,W,Mt,Ea,ka,Ee,ya,Ca,wa,Y,Et,La,Fa,nt,Sa,Ta,Aa,O,kt,xa,Na,yt,Oa,Da,Ct,Ia,Ra,Ga,D,wt,Va,Ua,rt,Ha,Ba,lt,za,Qa,Xa,I,Lt,Ka,Ja,Ft,Wa,Ya,pt,Za,eo,to,R,St,so,ao,Tt,oo,no,ft,ro,lo,po,G,At,fo,io,xt,co,mo,it,go,ho,uo,Z,ke,_o,Nt,bo,vo,ee,ye,$o,Ot,Po,jo,te,Ce,qo,we,Mo,ct,Eo,ko,yo,se,Le,Co,Dt,wo,Lo,ae,Fe,Fo,Se,So,It,To,Ao,xo,oe,Te,No,Ae,Oo,Rt,Do,Io,Ro,ne,xe,Go,Gt,Vo,Uo,re,Ne,Ho,B,Bo,Vt,zo,Qo,Ut,Xo,Ko,ks,z,le,Ht,Oe,Jo,Bt,Wo,ys,pe,Yo,zt,Zo,en,Cs,w,De,tn,Qt,sn,an,dt,Xt,on,nn,rn,Ie,fe,Kt,ln,pn,Re,fn,cn,dn,ie,Jt,mn,gn,Wt,hn,un,_n,ce,ws,Q,de,Yt,Ge,bn,Zt,vn,Ls,me,$n,es,Pn,jn,Fs,L,Ve,qn,ts,Mn,En,mt,ss,kn,yn,Cn,Ue,ge,as,wn,Ln,He,Fn,Sn,Tn,he,os,An,xn,ns,Nn,On,Dn,ue,Ss,X,_e,rs,Be,In,ls,Rn,Ts,be,Gn,ps,Vn,Un,As,A,ze,Hn,fs,Bn,zn,ve,xs,K,$e,is,Qe,Qn,cs,Xn,Ns,Pe,Kn,ds,Jn,Wn,Os,x,Xe,Yn,ms,Zn,er,je,Ds;return p=new _t({}),qe=new _t({}),Me=new S({props:{name:"class peft.PeftModel",anchor:"peft.PeftModel",parameters:[{name:"model",val:""},{name:"peft_config",val:": PeftConfig"}],parametersDescription:[{anchor:"peft.PeftModel.model",description:'<strong>model</strong> (<a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel" rel="nofollow">PreTrainedModel</a>) &#x2014; The base transformer model used for Peft.',name:"model"},{anchor:"peft.PeftModel.peft_config",description:'<strong>peft_config</strong> (<a href="/docs/peft/main/en/package_reference/config#peft.PeftConfig">PeftConfig</a>) &#x2014; The configuration of the Peft model.',name:"peft_config"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L46"}}),ke=new S({props:{name:"disable_adapter",anchor:"peft.PeftModel.disable_adapter",parameters:[],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L314"}}),ye=new S({props:{name:"forward",anchor:"peft.PeftModel.forward",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L308"}}),Ce=new S({props:{name:"from_pretrained",anchor:"peft.PeftModel.from_pretrained",parameters:[{name:"model",val:""},{name:"model_id",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"peft.PeftModel.from_pretrained.model",description:`<strong>model</strong> (<a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel" rel="nofollow">PreTrainedModel</a>) &#x2014;
The model to be adapted. The model should be initialized with the
<a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained" rel="nofollow">from_pretrained</a> method from the &#x1F917; Transformers library.`,name:"model"},{anchor:"peft.PeftModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
The name of the Lora configuration to use. Can be either:<ul>
<li>A string, the <code>model id</code> of a Lora configuration hosted inside a model repo on the Hugging Face
Hub.</li>
<li>A path to a directory containing a Lora configuration file saved using the <code>save_pretrained</code>
method (<code>./my_lora_config_directory/</code>).</li>
</ul>`,name:"model_id"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L118"}}),Le=new S({props:{name:"get_base_model",anchor:"peft.PeftModel.get_base_model",parameters:[],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L330"}}),Fe=new S({props:{name:"get_prompt",anchor:"peft.PeftModel.get_prompt",parameters:[{name:"batch_size",val:""}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L248"}}),Te=new S({props:{name:"get_prompt_embedding_to_save",anchor:"peft.PeftModel.get_prompt_embedding_to_save",parameters:[],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L237"}}),xe=new S({props:{name:"print_trainable_parameters",anchor:"peft.PeftModel.print_trainable_parameters",parameters:[],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L282"}}),Ne=new S({props:{name:"save_pretrained",anchor:"peft.PeftModel.save_pretrained",parameters:[{name:"save_directory",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"peft.PeftModel.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code>) &#x2014;
Directory where the adapter model and configuration files will be saved (will be created if it does not
exist).`,name:"save_directory"},{anchor:"peft.PeftModel.save_pretrained.kwargs",description:`<strong>kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional keyword arguments passed along to the <code>push_to_hub</code> method.`,name:"kwargs"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L85"}}),Oe=new _t({}),De=new S({props:{name:"class peft.PeftModelForSequenceClassification",anchor:"peft.PeftModelForSequenceClassification",parameters:[{name:"model",val:""},{name:"peft_config",val:": PeftConfig"}],parametersDescription:[{anchor:"peft.PeftModelForSequenceClassification.model",description:'<strong>model</strong> (<a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel" rel="nofollow">PreTrainedModel</a>) &#x2014; Base transformer model.',name:"model"},{anchor:"peft.PeftModelForSequenceClassification.peft_config",description:'<strong>peft_config</strong> (<a href="/docs/peft/main/en/package_reference/config#peft.PeftConfig">PeftConfig</a>) &#x2014; Peft config.',name:"peft_config"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L337"}}),ce=new la({props:{anchor:"peft.PeftModelForSequenceClassification.example",$$slots:{default:[Pl]},$$scope:{ctx:N}}}),Ge=new _t({}),Ve=new S({props:{name:"class peft.PeftModelForTokenClassification",anchor:"peft.PeftModelForTokenClassification",parameters:[{name:"model",val:""},{name:"peft_config",val:": PeftConfig"}],parametersDescription:[{anchor:"peft.PeftModelForTokenClassification.model",description:'<strong>model</strong> (<a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel" rel="nofollow">PreTrainedModel</a>) &#x2014; Base transformer model.',name:"model"},{anchor:"peft.PeftModelForTokenClassification.peft_config",description:'<strong>peft_config</strong> (<a href="/docs/peft/main/en/package_reference/config#peft.PeftConfig">PeftConfig</a>) &#x2014; Peft config.',name:"peft_config"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L870"}}),ue=new la({props:{anchor:"peft.PeftModelForTokenClassification.example",$$slots:{default:[jl]},$$scope:{ctx:N}}}),Be=new _t({}),ze=new S({props:{name:"class peft.PeftModelForCausalLM",anchor:"peft.PeftModelForCausalLM",parameters:[{name:"model",val:""},{name:"peft_config",val:": PeftConfig"}],parametersDescription:[{anchor:"peft.PeftModelForCausalLM.model",description:'<strong>model</strong> (<a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel" rel="nofollow">PreTrainedModel</a>) &#x2014; Base transformer model.',name:"model"},{anchor:"peft.PeftModelForCausalLM.peft_config",description:'<strong>peft_config</strong> (<a href="/docs/peft/main/en/package_reference/config#peft.PeftConfig">PeftConfig</a>) &#x2014; Peft config.',name:"peft_config"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L522"}}),ve=new la({props:{anchor:"peft.PeftModelForCausalLM.example",$$slots:{default:[ql]},$$scope:{ctx:N}}}),Qe=new _t({}),Xe=new S({props:{name:"class peft.PeftModelForSeq2SeqLM",anchor:"peft.PeftModelForSeq2SeqLM",parameters:[{name:"model",val:""},{name:"peft_config",val:": PeftConfig"}],parametersDescription:[{anchor:"peft.PeftModelForSeq2SeqLM.model",description:'<strong>model</strong> (<a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel" rel="nofollow">PreTrainedModel</a>) &#x2014; Base transformer model.',name:"model"},{anchor:"peft.PeftModelForSeq2SeqLM.peft_config",description:'<strong>peft_config</strong> (<a href="/docs/peft/main/en/package_reference/config#peft.PeftConfig">PeftConfig</a>) &#x2014; Peft config.',name:"peft_config"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L688"}}),je=new la({props:{anchor:"peft.PeftModelForSeq2SeqLM.example",$$slots:{default:[Ml]},$$scope:{ctx:N}}}),{c(){h=a("meta"),y=f(),_=a("h1"),m=a("a"),E=a("span"),v(p.$$.fragment),u=f(),bt=a("span"),ia=r("Models"),qs=f(),T=a("p"),st=a("a"),ca=r("PeftModel"),da=r(" is the base model class for specifying the base Transformer model and configuration to apply a PEFT method to. The base "),vt=a("code"),ma=r("PeftModel"),ga=r(" contains methods for loading and saving models from the Hub, and supports the "),at=a("a"),ha=r("PromptEncoder"),ua=r(" for prompt learning."),Ms=f(),H=a("h2"),J=a("a"),$t=a("span"),v(qe.$$.fragment),_a=f(),Pt=a("span"),ba=r("PeftModel"),Es=f(),b=a("div"),v(Me.$$.fragment),va=f(),jt=a("p"),$a=r("Base model encompassing various Peft methods."),Pa=f(),ot=a("p"),qt=a("strong"),ja=r("Attributes"),qa=r(":"),Ma=f(),C=a("ul"),W=a("li"),Mt=a("strong"),Ea=r("base_model"),ka=r(" ("),Ee=a("a"),ya=r("PreTrainedModel"),Ca=r(") \u2014 The base transformer model used for Peft."),wa=f(),Y=a("li"),Et=a("strong"),La=r("peft_config"),Fa=r(" ("),nt=a("a"),Sa=r("PeftConfig"),Ta=r(") \u2014 The configuration of the Peft model."),Aa=f(),O=a("li"),kt=a("strong"),xa=r("modules_to_save"),Na=r(" ("),yt=a("code"),Oa=r("list"),Da=r(" of "),Ct=a("code"),Ia=r("str"),Ra=r(`) \u2014 The list of sub-module names to save when
saving the model.`),Ga=f(),D=a("li"),wt=a("strong"),Va=r("prompt_encoder"),Ua=r(" ("),rt=a("a"),Ha=r("PromptEncoder"),Ba=r(`) \u2014 The prompt encoder used for Peft if
using `),lt=a("a"),za=r("PromptLearningConfig"),Qa=r("."),Xa=f(),I=a("li"),Lt=a("strong"),Ka=r("prompt_tokens"),Ja=r(" ("),Ft=a("code"),Wa=r("torch.Tensor"),Ya=r(`) \u2014 The virtual prompt tokens used for Peft if
using `),pt=a("a"),Za=r("PromptLearningConfig"),eo=r("."),to=f(),R=a("li"),St=a("strong"),so=r("transformer_backbone_name"),ao=r(" ("),Tt=a("code"),oo=r("str"),no=r(`) \u2014 The name of the transformer
backbone in the base model if using `),ft=a("a"),ro=r("PromptLearningConfig"),lo=r("."),po=f(),G=a("li"),At=a("strong"),fo=r("word_embeddings"),io=r(" ("),xt=a("code"),co=r("torch.nn.Embedding"),mo=r(`) \u2014 The word embeddings of the transformer backbone
in the base model if using `),it=a("a"),go=r("PromptLearningConfig"),ho=r("."),uo=f(),Z=a("div"),v(ke.$$.fragment),_o=f(),Nt=a("p"),bo=r("Disables the adapter module."),vo=f(),ee=a("div"),v(ye.$$.fragment),$o=f(),Ot=a("p"),Po=r("Forward pass of the model."),jo=f(),te=a("div"),v(Ce.$$.fragment),qo=f(),we=a("p"),Mo=r("Instantiate a "),ct=a("a"),Eo=r("LoraModel"),ko=r(" from a pretrained Lora configuration and weights."),yo=f(),se=a("div"),v(Le.$$.fragment),Co=f(),Dt=a("p"),wo=r("Returns the base model."),Lo=f(),ae=a("div"),v(Fe.$$.fragment),Fo=f(),Se=a("p"),So=r("Returns the virtual prompts to use for Peft. Only applicable when "),It=a("code"),To=r("peft_config.peft_type != PeftType.LORA"),Ao=r("."),xo=f(),oe=a("div"),v(Te.$$.fragment),No=f(),Ae=a("p"),Oo=r("Returns the prompt embedding to save when saving the model. Only applicable when "),Rt=a("code"),Do=r("peft_config.peft_type != PeftType.LORA"),Io=r("."),Ro=f(),ne=a("div"),v(xe.$$.fragment),Go=f(),Gt=a("p"),Vo=r("Prints the number of trainable parameters in the model."),Uo=f(),re=a("div"),v(Ne.$$.fragment),Ho=f(),B=a("p"),Bo=r(`This function saves the adapter model and the adapter configuration files to a directory, so that it can be
reloaded using the `),Vt=a("code"),zo=r("LoraModel.from_pretrained"),Qo=r(" class method, and also used by the "),Ut=a("code"),Xo=r("LoraModel.push_to_hub"),Ko=r(`
method.`),ks=f(),z=a("h2"),le=a("a"),Ht=a("span"),v(Oe.$$.fragment),Jo=f(),Bt=a("span"),Wo=r("PeftModelForSequenceClassification"),ys=f(),pe=a("p"),Yo=r("A "),zt=a("code"),Zo=r("PeftModel"),en=r(" for sequence classification tasks."),Cs=f(),w=a("div"),v(De.$$.fragment),tn=f(),Qt=a("p"),sn=r("Peft model for sequence classification tasks."),an=f(),dt=a("p"),Xt=a("strong"),on=r("Attributes"),nn=r(":"),rn=f(),Ie=a("ul"),fe=a("li"),Kt=a("strong"),ln=r("config"),pn=r(" ("),Re=a("a"),fn=r("PretrainedConfig"),cn=r(") \u2014 The configuration object of the base model."),dn=f(),ie=a("li"),Jt=a("strong"),mn=r("cls_layer_name"),gn=r(" ("),Wt=a("code"),hn=r("str"),un=r(") \u2014 The name of the classification layer."),_n=f(),v(ce.$$.fragment),ws=f(),Q=a("h2"),de=a("a"),Yt=a("span"),v(Ge.$$.fragment),bn=f(),Zt=a("span"),vn=r("PeftModelForTokenClassification"),Ls=f(),me=a("p"),$n=r("A "),es=a("code"),Pn=r("PeftModel"),jn=r(" for token classification tasks."),Fs=f(),L=a("div"),v(Ve.$$.fragment),qn=f(),ts=a("p"),Mn=r("Peft model for token classification tasks."),En=f(),mt=a("p"),ss=a("strong"),kn=r("Attributes"),yn=r(":"),Cn=f(),Ue=a("ul"),ge=a("li"),as=a("strong"),wn=r("config"),Ln=r(" ("),He=a("a"),Fn=r("PretrainedConfig"),Sn=r(") \u2014 The configuration object of the base model."),Tn=f(),he=a("li"),os=a("strong"),An=r("cls_layer_name"),xn=r(" ("),ns=a("code"),Nn=r("str"),On=r(") \u2014 The name of the classification layer."),Dn=f(),v(ue.$$.fragment),Ss=f(),X=a("h2"),_e=a("a"),rs=a("span"),v(Be.$$.fragment),In=f(),ls=a("span"),Rn=r("PeftModelForCausalLM"),Ts=f(),be=a("p"),Gn=r("A "),ps=a("code"),Vn=r("PeftModel"),Un=r(" for causal language modeling."),As=f(),A=a("div"),v(ze.$$.fragment),Hn=f(),fs=a("p"),Bn=r("Peft model for causal language modeling."),zn=f(),v(ve.$$.fragment),xs=f(),K=a("h2"),$e=a("a"),is=a("span"),v(Qe.$$.fragment),Qn=f(),cs=a("span"),Xn=r("PeftModelForSeq2SeqLM"),Ns=f(),Pe=a("p"),Kn=r("A "),ds=a("code"),Jn=r("PeftModel"),Wn=r(" for sequence-to-sequence language modeling."),Os=f(),x=a("div"),v(Xe.$$.fragment),Yn=f(),ms=a("p"),Zn=r("Peft model for sequence-to-sequence language modeling."),er=f(),v(je.$$.fragment),this.h()},l(s){const d=vl('[data-svelte="svelte-1phssyn"]',document.head);h=o(d,"META",{name:!0,content:!0}),d.forEach(t),y=i(s),_=o(s,"H1",{class:!0});var Ke=n(_);m=o(Ke,"A",{id:!0,class:!0,href:!0});var gs=n(m);E=o(gs,"SPAN",{});var hs=n(E);$(p.$$.fragment,hs),hs.forEach(t),gs.forEach(t),u=i(Ke),bt=o(Ke,"SPAN",{});var us=n(bt);ia=l(us,"Models"),us.forEach(t),Ke.forEach(t),qs=i(s),T=o(s,"P",{});var Je=n(T);st=o(Je,"A",{href:!0});var or=n(st);ca=l(or,"PeftModel"),or.forEach(t),da=l(Je," is the base model class for specifying the base Transformer model and configuration to apply a PEFT method to. The base "),vt=o(Je,"CODE",{});var nr=n(vt);ma=l(nr,"PeftModel"),nr.forEach(t),ga=l(Je," contains methods for loading and saving models from the Hub, and supports the "),at=o(Je,"A",{href:!0});var rr=n(at);ha=l(rr,"PromptEncoder"),rr.forEach(t),ua=l(Je," for prompt learning."),Je.forEach(t),Ms=i(s),H=o(s,"H2",{class:!0});var Is=n(H);J=o(Is,"A",{id:!0,class:!0,href:!0});var lr=n(J);$t=o(lr,"SPAN",{});var pr=n($t);$(qe.$$.fragment,pr),pr.forEach(t),lr.forEach(t),_a=i(Is),Pt=o(Is,"SPAN",{});var fr=n(Pt);ba=l(fr,"PeftModel"),fr.forEach(t),Is.forEach(t),Es=i(s),b=o(s,"DIV",{class:!0});var k=n(b);$(Me.$$.fragment,k),va=i(k),jt=o(k,"P",{});var ir=n(jt);$a=l(ir,"Base model encompassing various Peft methods."),ir.forEach(t),Pa=i(k),ot=o(k,"P",{});var tr=n(ot);qt=o(tr,"STRONG",{});var cr=n(qt);ja=l(cr,"Attributes"),cr.forEach(t),qa=l(tr,":"),tr.forEach(t),Ma=i(k),C=o(k,"UL",{});var F=n(C);W=o(F,"LI",{});var _s=n(W);Mt=o(_s,"STRONG",{});var dr=n(Mt);Ea=l(dr,"base_model"),dr.forEach(t),ka=l(_s," ("),Ee=o(_s,"A",{href:!0,rel:!0});var mr=n(Ee);ya=l(mr,"PreTrainedModel"),mr.forEach(t),Ca=l(_s,") \u2014 The base transformer model used for Peft."),_s.forEach(t),wa=i(F),Y=o(F,"LI",{});var bs=n(Y);Et=o(bs,"STRONG",{});var gr=n(Et);La=l(gr,"peft_config"),gr.forEach(t),Fa=l(bs," ("),nt=o(bs,"A",{href:!0});var hr=n(nt);Sa=l(hr,"PeftConfig"),hr.forEach(t),Ta=l(bs,") \u2014 The configuration of the Peft model."),bs.forEach(t),Aa=i(F),O=o(F,"LI",{});var We=n(O);kt=o(We,"STRONG",{});var ur=n(kt);xa=l(ur,"modules_to_save"),ur.forEach(t),Na=l(We," ("),yt=o(We,"CODE",{});var _r=n(yt);Oa=l(_r,"list"),_r.forEach(t),Da=l(We," of "),Ct=o(We,"CODE",{});var br=n(Ct);Ia=l(br,"str"),br.forEach(t),Ra=l(We,`) \u2014 The list of sub-module names to save when
saving the model.`),We.forEach(t),Ga=i(F),D=o(F,"LI",{});var Ye=n(D);wt=o(Ye,"STRONG",{});var vr=n(wt);Va=l(vr,"prompt_encoder"),vr.forEach(t),Ua=l(Ye," ("),rt=o(Ye,"A",{href:!0});var $r=n(rt);Ha=l($r,"PromptEncoder"),$r.forEach(t),Ba=l(Ye,`) \u2014 The prompt encoder used for Peft if
using `),lt=o(Ye,"A",{href:!0});var Pr=n(lt);za=l(Pr,"PromptLearningConfig"),Pr.forEach(t),Qa=l(Ye,"."),Ye.forEach(t),Xa=i(F),I=o(F,"LI",{});var Ze=n(I);Lt=o(Ze,"STRONG",{});var jr=n(Lt);Ka=l(jr,"prompt_tokens"),jr.forEach(t),Ja=l(Ze," ("),Ft=o(Ze,"CODE",{});var qr=n(Ft);Wa=l(qr,"torch.Tensor"),qr.forEach(t),Ya=l(Ze,`) \u2014 The virtual prompt tokens used for Peft if
using `),pt=o(Ze,"A",{href:!0});var Mr=n(pt);Za=l(Mr,"PromptLearningConfig"),Mr.forEach(t),eo=l(Ze,"."),Ze.forEach(t),to=i(F),R=o(F,"LI",{});var et=n(R);St=o(et,"STRONG",{});var Er=n(St);so=l(Er,"transformer_backbone_name"),Er.forEach(t),ao=l(et," ("),Tt=o(et,"CODE",{});var kr=n(Tt);oo=l(kr,"str"),kr.forEach(t),no=l(et,`) \u2014 The name of the transformer
backbone in the base model if using `),ft=o(et,"A",{href:!0});var yr=n(ft);ro=l(yr,"PromptLearningConfig"),yr.forEach(t),lo=l(et,"."),et.forEach(t),po=i(F),G=o(F,"LI",{});var tt=n(G);At=o(tt,"STRONG",{});var Cr=n(At);fo=l(Cr,"word_embeddings"),Cr.forEach(t),io=l(tt," ("),xt=o(tt,"CODE",{});var wr=n(xt);co=l(wr,"torch.nn.Embedding"),wr.forEach(t),mo=l(tt,`) \u2014 The word embeddings of the transformer backbone
in the base model if using `),it=o(tt,"A",{href:!0});var Lr=n(it);go=l(Lr,"PromptLearningConfig"),Lr.forEach(t),ho=l(tt,"."),tt.forEach(t),F.forEach(t),uo=i(k),Z=o(k,"DIV",{class:!0});var Rs=n(Z);$(ke.$$.fragment,Rs),_o=i(Rs),Nt=o(Rs,"P",{});var Fr=n(Nt);bo=l(Fr,"Disables the adapter module."),Fr.forEach(t),Rs.forEach(t),vo=i(k),ee=o(k,"DIV",{class:!0});var Gs=n(ee);$(ye.$$.fragment,Gs),$o=i(Gs),Ot=o(Gs,"P",{});var Sr=n(Ot);Po=l(Sr,"Forward pass of the model."),Sr.forEach(t),Gs.forEach(t),jo=i(k),te=o(k,"DIV",{class:!0});var Vs=n(te);$(Ce.$$.fragment,Vs),qo=i(Vs),we=o(Vs,"P",{});var Us=n(we);Mo=l(Us,"Instantiate a "),ct=o(Us,"A",{href:!0});var Tr=n(ct);Eo=l(Tr,"LoraModel"),Tr.forEach(t),ko=l(Us," from a pretrained Lora configuration and weights."),Us.forEach(t),Vs.forEach(t),yo=i(k),se=o(k,"DIV",{class:!0});var Hs=n(se);$(Le.$$.fragment,Hs),Co=i(Hs),Dt=o(Hs,"P",{});var Ar=n(Dt);wo=l(Ar,"Returns the base model."),Ar.forEach(t),Hs.forEach(t),Lo=i(k),ae=o(k,"DIV",{class:!0});var Bs=n(ae);$(Fe.$$.fragment,Bs),Fo=i(Bs),Se=o(Bs,"P",{});var zs=n(Se);So=l(zs,"Returns the virtual prompts to use for Peft. Only applicable when "),It=o(zs,"CODE",{});var xr=n(It);To=l(xr,"peft_config.peft_type != PeftType.LORA"),xr.forEach(t),Ao=l(zs,"."),zs.forEach(t),Bs.forEach(t),xo=i(k),oe=o(k,"DIV",{class:!0});var Qs=n(oe);$(Te.$$.fragment,Qs),No=i(Qs),Ae=o(Qs,"P",{});var Xs=n(Ae);Oo=l(Xs,"Returns the prompt embedding to save when saving the model. Only applicable when "),Rt=o(Xs,"CODE",{});var Nr=n(Rt);Do=l(Nr,"peft_config.peft_type != PeftType.LORA"),Nr.forEach(t),Io=l(Xs,"."),Xs.forEach(t),Qs.forEach(t),Ro=i(k),ne=o(k,"DIV",{class:!0});var Ks=n(ne);$(xe.$$.fragment,Ks),Go=i(Ks),Gt=o(Ks,"P",{});var Or=n(Gt);Vo=l(Or,"Prints the number of trainable parameters in the model."),Or.forEach(t),Ks.forEach(t),Uo=i(k),re=o(k,"DIV",{class:!0});var Js=n(re);$(Ne.$$.fragment,Js),Ho=i(Js),B=o(Js,"P",{});var gt=n(B);Bo=l(gt,`This function saves the adapter model and the adapter configuration files to a directory, so that it can be
reloaded using the `),Vt=o(gt,"CODE",{});var Dr=n(Vt);zo=l(Dr,"LoraModel.from_pretrained"),Dr.forEach(t),Qo=l(gt," class method, and also used by the "),Ut=o(gt,"CODE",{});var Ir=n(Ut);Xo=l(Ir,"LoraModel.push_to_hub"),Ir.forEach(t),Ko=l(gt,`
method.`),gt.forEach(t),Js.forEach(t),k.forEach(t),ks=i(s),z=o(s,"H2",{class:!0});var Ws=n(z);le=o(Ws,"A",{id:!0,class:!0,href:!0});var Rr=n(le);Ht=o(Rr,"SPAN",{});var Gr=n(Ht);$(Oe.$$.fragment,Gr),Gr.forEach(t),Rr.forEach(t),Jo=i(Ws),Bt=o(Ws,"SPAN",{});var Vr=n(Bt);Wo=l(Vr,"PeftModelForSequenceClassification"),Vr.forEach(t),Ws.forEach(t),ys=i(s),pe=o(s,"P",{});var Ys=n(pe);Yo=l(Ys,"A "),zt=o(Ys,"CODE",{});var Ur=n(zt);Zo=l(Ur,"PeftModel"),Ur.forEach(t),en=l(Ys," for sequence classification tasks."),Ys.forEach(t),Cs=i(s),w=o(s,"DIV",{class:!0});var V=n(w);$(De.$$.fragment,V),tn=i(V),Qt=o(V,"P",{});var Hr=n(Qt);sn=l(Hr,"Peft model for sequence classification tasks."),Hr.forEach(t),an=i(V),dt=o(V,"P",{});var sr=n(dt);Xt=o(sr,"STRONG",{});var Br=n(Xt);on=l(Br,"Attributes"),Br.forEach(t),nn=l(sr,":"),sr.forEach(t),rn=i(V),Ie=o(V,"UL",{});var Zs=n(Ie);fe=o(Zs,"LI",{});var vs=n(fe);Kt=o(vs,"STRONG",{});var zr=n(Kt);ln=l(zr,"config"),zr.forEach(t),pn=l(vs," ("),Re=o(vs,"A",{href:!0,rel:!0});var Qr=n(Re);fn=l(Qr,"PretrainedConfig"),Qr.forEach(t),cn=l(vs,") \u2014 The configuration object of the base model."),vs.forEach(t),dn=i(Zs),ie=o(Zs,"LI",{});var $s=n(ie);Jt=o($s,"STRONG",{});var Xr=n(Jt);mn=l(Xr,"cls_layer_name"),Xr.forEach(t),gn=l($s," ("),Wt=o($s,"CODE",{});var Kr=n(Wt);hn=l(Kr,"str"),Kr.forEach(t),un=l($s,") \u2014 The name of the classification layer."),$s.forEach(t),Zs.forEach(t),_n=i(V),$(ce.$$.fragment,V),V.forEach(t),ws=i(s),Q=o(s,"H2",{class:!0});var ea=n(Q);de=o(ea,"A",{id:!0,class:!0,href:!0});var Jr=n(de);Yt=o(Jr,"SPAN",{});var Wr=n(Yt);$(Ge.$$.fragment,Wr),Wr.forEach(t),Jr.forEach(t),bn=i(ea),Zt=o(ea,"SPAN",{});var Yr=n(Zt);vn=l(Yr,"PeftModelForTokenClassification"),Yr.forEach(t),ea.forEach(t),Ls=i(s),me=o(s,"P",{});var ta=n(me);$n=l(ta,"A "),es=o(ta,"CODE",{});var Zr=n(es);Pn=l(Zr,"PeftModel"),Zr.forEach(t),jn=l(ta," for token classification tasks."),ta.forEach(t),Fs=i(s),L=o(s,"DIV",{class:!0});var U=n(L);$(Ve.$$.fragment,U),qn=i(U),ts=o(U,"P",{});var el=n(ts);Mn=l(el,"Peft model for token classification tasks."),el.forEach(t),En=i(U),mt=o(U,"P",{});var ar=n(mt);ss=o(ar,"STRONG",{});var tl=n(ss);kn=l(tl,"Attributes"),tl.forEach(t),yn=l(ar,":"),ar.forEach(t),Cn=i(U),Ue=o(U,"UL",{});var sa=n(Ue);ge=o(sa,"LI",{});var Ps=n(ge);as=o(Ps,"STRONG",{});var sl=n(as);wn=l(sl,"config"),sl.forEach(t),Ln=l(Ps," ("),He=o(Ps,"A",{href:!0,rel:!0});var al=n(He);Fn=l(al,"PretrainedConfig"),al.forEach(t),Sn=l(Ps,") \u2014 The configuration object of the base model."),Ps.forEach(t),Tn=i(sa),he=o(sa,"LI",{});var js=n(he);os=o(js,"STRONG",{});var ol=n(os);An=l(ol,"cls_layer_name"),ol.forEach(t),xn=l(js," ("),ns=o(js,"CODE",{});var nl=n(ns);Nn=l(nl,"str"),nl.forEach(t),On=l(js,") \u2014 The name of the classification layer."),js.forEach(t),sa.forEach(t),Dn=i(U),$(ue.$$.fragment,U),U.forEach(t),Ss=i(s),X=o(s,"H2",{class:!0});var aa=n(X);_e=o(aa,"A",{id:!0,class:!0,href:!0});var rl=n(_e);rs=o(rl,"SPAN",{});var ll=n(rs);$(Be.$$.fragment,ll),ll.forEach(t),rl.forEach(t),In=i(aa),ls=o(aa,"SPAN",{});var pl=n(ls);Rn=l(pl,"PeftModelForCausalLM"),pl.forEach(t),aa.forEach(t),Ts=i(s),be=o(s,"P",{});var oa=n(be);Gn=l(oa,"A "),ps=o(oa,"CODE",{});var fl=n(ps);Vn=l(fl,"PeftModel"),fl.forEach(t),Un=l(oa," for causal language modeling."),oa.forEach(t),As=i(s),A=o(s,"DIV",{class:!0});var ht=n(A);$(ze.$$.fragment,ht),Hn=i(ht),fs=o(ht,"P",{});var il=n(fs);Bn=l(il,"Peft model for causal language modeling."),il.forEach(t),zn=i(ht),$(ve.$$.fragment,ht),ht.forEach(t),xs=i(s),K=o(s,"H2",{class:!0});var na=n(K);$e=o(na,"A",{id:!0,class:!0,href:!0});var cl=n($e);is=o(cl,"SPAN",{});var dl=n(is);$(Qe.$$.fragment,dl),dl.forEach(t),cl.forEach(t),Qn=i(na),cs=o(na,"SPAN",{});var ml=n(cs);Xn=l(ml,"PeftModelForSeq2SeqLM"),ml.forEach(t),na.forEach(t),Ns=i(s),Pe=o(s,"P",{});var ra=n(Pe);Kn=l(ra,"A "),ds=o(ra,"CODE",{});var gl=n(ds);Jn=l(gl,"PeftModel"),gl.forEach(t),Wn=l(ra," for sequence-to-sequence language modeling."),ra.forEach(t),Os=i(s),x=o(s,"DIV",{class:!0});var ut=n(x);$(Xe.$$.fragment,ut),Yn=i(ut),ms=o(ut,"P",{});var hl=n(ms);Zn=l(hl,"Peft model for sequence-to-sequence language modeling."),hl.forEach(t),er=i(ut),$(je.$$.fragment,ut),ut.forEach(t),this.h()},h(){c(h,"name","hf:doc:metadata"),c(h,"content",JSON.stringify(kl)),c(m,"id","models"),c(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(m,"href","#models"),c(_,"class","relative group"),c(st,"href","/docs/peft/main/en/package_reference/peft_model#peft.PeftModel"),c(at,"href","/docs/peft/main/en/package_reference/tuners#peft.PromptEncoder"),c(J,"id","peft.PeftModel"),c(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(J,"href","#peft.PeftModel"),c(H,"class","relative group"),c(Ee,"href","https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(Ee,"rel","nofollow"),c(nt,"href","/docs/peft/main/en/package_reference/config#peft.PeftConfig"),c(rt,"href","/docs/peft/main/en/package_reference/tuners#peft.PromptEncoder"),c(lt,"href","/docs/peft/main/en/package_reference/config#peft.PromptLearningConfig"),c(pt,"href","/docs/peft/main/en/package_reference/config#peft.PromptLearningConfig"),c(ft,"href","/docs/peft/main/en/package_reference/config#peft.PromptLearningConfig"),c(it,"href","/docs/peft/main/en/package_reference/config#peft.PromptLearningConfig"),c(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ct,"href","/docs/peft/main/en/package_reference/tuners#peft.LoraModel"),c(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(le,"id","peft.PeftModelForSequenceClassification"),c(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(le,"href","#peft.PeftModelForSequenceClassification"),c(z,"class","relative group"),c(Re,"href","https://huggingface.co/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c(Re,"rel","nofollow"),c(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(de,"id","peft.PeftModelForTokenClassification"),c(de,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(de,"href","#peft.PeftModelForTokenClassification"),c(Q,"class","relative group"),c(He,"href","https://huggingface.co/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c(He,"rel","nofollow"),c(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_e,"id","peft.PeftModelForCausalLM"),c(_e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(_e,"href","#peft.PeftModelForCausalLM"),c(X,"class","relative group"),c(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c($e,"id","peft.PeftModelForSeq2SeqLM"),c($e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c($e,"href","#peft.PeftModelForSeq2SeqLM"),c(K,"class","relative group"),c(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(s,d){e(document.head,h),g(s,y,d),g(s,_,d),e(_,m),e(m,E),P(p,E,null),e(_,u),e(_,bt),e(bt,ia),g(s,qs,d),g(s,T,d),e(T,st),e(st,ca),e(T,da),e(T,vt),e(vt,ma),e(T,ga),e(T,at),e(at,ha),e(T,ua),g(s,Ms,d),g(s,H,d),e(H,J),e(J,$t),P(qe,$t,null),e(H,_a),e(H,Pt),e(Pt,ba),g(s,Es,d),g(s,b,d),P(Me,b,null),e(b,va),e(b,jt),e(jt,$a),e(b,Pa),e(b,ot),e(ot,qt),e(qt,ja),e(ot,qa),e(b,Ma),e(b,C),e(C,W),e(W,Mt),e(Mt,Ea),e(W,ka),e(W,Ee),e(Ee,ya),e(W,Ca),e(C,wa),e(C,Y),e(Y,Et),e(Et,La),e(Y,Fa),e(Y,nt),e(nt,Sa),e(Y,Ta),e(C,Aa),e(C,O),e(O,kt),e(kt,xa),e(O,Na),e(O,yt),e(yt,Oa),e(O,Da),e(O,Ct),e(Ct,Ia),e(O,Ra),e(C,Ga),e(C,D),e(D,wt),e(wt,Va),e(D,Ua),e(D,rt),e(rt,Ha),e(D,Ba),e(D,lt),e(lt,za),e(D,Qa),e(C,Xa),e(C,I),e(I,Lt),e(Lt,Ka),e(I,Ja),e(I,Ft),e(Ft,Wa),e(I,Ya),e(I,pt),e(pt,Za),e(I,eo),e(C,to),e(C,R),e(R,St),e(St,so),e(R,ao),e(R,Tt),e(Tt,oo),e(R,no),e(R,ft),e(ft,ro),e(R,lo),e(C,po),e(C,G),e(G,At),e(At,fo),e(G,io),e(G,xt),e(xt,co),e(G,mo),e(G,it),e(it,go),e(G,ho),e(b,uo),e(b,Z),P(ke,Z,null),e(Z,_o),e(Z,Nt),e(Nt,bo),e(b,vo),e(b,ee),P(ye,ee,null),e(ee,$o),e(ee,Ot),e(Ot,Po),e(b,jo),e(b,te),P(Ce,te,null),e(te,qo),e(te,we),e(we,Mo),e(we,ct),e(ct,Eo),e(we,ko),e(b,yo),e(b,se),P(Le,se,null),e(se,Co),e(se,Dt),e(Dt,wo),e(b,Lo),e(b,ae),P(Fe,ae,null),e(ae,Fo),e(ae,Se),e(Se,So),e(Se,It),e(It,To),e(Se,Ao),e(b,xo),e(b,oe),P(Te,oe,null),e(oe,No),e(oe,Ae),e(Ae,Oo),e(Ae,Rt),e(Rt,Do),e(Ae,Io),e(b,Ro),e(b,ne),P(xe,ne,null),e(ne,Go),e(ne,Gt),e(Gt,Vo),e(b,Uo),e(b,re),P(Ne,re,null),e(re,Ho),e(re,B),e(B,Bo),e(B,Vt),e(Vt,zo),e(B,Qo),e(B,Ut),e(Ut,Xo),e(B,Ko),g(s,ks,d),g(s,z,d),e(z,le),e(le,Ht),P(Oe,Ht,null),e(z,Jo),e(z,Bt),e(Bt,Wo),g(s,ys,d),g(s,pe,d),e(pe,Yo),e(pe,zt),e(zt,Zo),e(pe,en),g(s,Cs,d),g(s,w,d),P(De,w,null),e(w,tn),e(w,Qt),e(Qt,sn),e(w,an),e(w,dt),e(dt,Xt),e(Xt,on),e(dt,nn),e(w,rn),e(w,Ie),e(Ie,fe),e(fe,Kt),e(Kt,ln),e(fe,pn),e(fe,Re),e(Re,fn),e(fe,cn),e(Ie,dn),e(Ie,ie),e(ie,Jt),e(Jt,mn),e(ie,gn),e(ie,Wt),e(Wt,hn),e(ie,un),e(w,_n),P(ce,w,null),g(s,ws,d),g(s,Q,d),e(Q,de),e(de,Yt),P(Ge,Yt,null),e(Q,bn),e(Q,Zt),e(Zt,vn),g(s,Ls,d),g(s,me,d),e(me,$n),e(me,es),e(es,Pn),e(me,jn),g(s,Fs,d),g(s,L,d),P(Ve,L,null),e(L,qn),e(L,ts),e(ts,Mn),e(L,En),e(L,mt),e(mt,ss),e(ss,kn),e(mt,yn),e(L,Cn),e(L,Ue),e(Ue,ge),e(ge,as),e(as,wn),e(ge,Ln),e(ge,He),e(He,Fn),e(ge,Sn),e(Ue,Tn),e(Ue,he),e(he,os),e(os,An),e(he,xn),e(he,ns),e(ns,Nn),e(he,On),e(L,Dn),P(ue,L,null),g(s,Ss,d),g(s,X,d),e(X,_e),e(_e,rs),P(Be,rs,null),e(X,In),e(X,ls),e(ls,Rn),g(s,Ts,d),g(s,be,d),e(be,Gn),e(be,ps),e(ps,Vn),e(be,Un),g(s,As,d),g(s,A,d),P(ze,A,null),e(A,Hn),e(A,fs),e(fs,Bn),e(A,zn),P(ve,A,null),g(s,xs,d),g(s,K,d),e(K,$e),e($e,is),P(Qe,is,null),e(K,Qn),e(K,cs),e(cs,Xn),g(s,Ns,d),g(s,Pe,d),e(Pe,Kn),e(Pe,ds),e(ds,Jn),e(Pe,Wn),g(s,Os,d),g(s,x,d),P(Xe,x,null),e(x,Yn),e(x,ms),e(ms,Zn),e(x,er),P(je,x,null),Ds=!0},p(s,[d]){const Ke={};d&2&&(Ke.$$scope={dirty:d,ctx:s}),ce.$set(Ke);const gs={};d&2&&(gs.$$scope={dirty:d,ctx:s}),ue.$set(gs);const hs={};d&2&&(hs.$$scope={dirty:d,ctx:s}),ve.$set(hs);const us={};d&2&&(us.$$scope={dirty:d,ctx:s}),je.$set(us)},i(s){Ds||(j(p.$$.fragment,s),j(qe.$$.fragment,s),j(Me.$$.fragment,s),j(ke.$$.fragment,s),j(ye.$$.fragment,s),j(Ce.$$.fragment,s),j(Le.$$.fragment,s),j(Fe.$$.fragment,s),j(Te.$$.fragment,s),j(xe.$$.fragment,s),j(Ne.$$.fragment,s),j(Oe.$$.fragment,s),j(De.$$.fragment,s),j(ce.$$.fragment,s),j(Ge.$$.fragment,s),j(Ve.$$.fragment,s),j(ue.$$.fragment,s),j(Be.$$.fragment,s),j(ze.$$.fragment,s),j(ve.$$.fragment,s),j(Qe.$$.fragment,s),j(Xe.$$.fragment,s),j(je.$$.fragment,s),Ds=!0)},o(s){q(p.$$.fragment,s),q(qe.$$.fragment,s),q(Me.$$.fragment,s),q(ke.$$.fragment,s),q(ye.$$.fragment,s),q(Ce.$$.fragment,s),q(Le.$$.fragment,s),q(Fe.$$.fragment,s),q(Te.$$.fragment,s),q(xe.$$.fragment,s),q(Ne.$$.fragment,s),q(Oe.$$.fragment,s),q(De.$$.fragment,s),q(ce.$$.fragment,s),q(Ge.$$.fragment,s),q(Ve.$$.fragment,s),q(ue.$$.fragment,s),q(Be.$$.fragment,s),q(ze.$$.fragment,s),q(ve.$$.fragment,s),q(Qe.$$.fragment,s),q(Xe.$$.fragment,s),q(je.$$.fragment,s),Ds=!1},d(s){t(h),s&&t(y),s&&t(_),M(p),s&&t(qs),s&&t(T),s&&t(Ms),s&&t(H),M(qe),s&&t(Es),s&&t(b),M(Me),M(ke),M(ye),M(Ce),M(Le),M(Fe),M(Te),M(xe),M(Ne),s&&t(ks),s&&t(z),M(Oe),s&&t(ys),s&&t(pe),s&&t(Cs),s&&t(w),M(De),M(ce),s&&t(ws),s&&t(Q),M(Ge),s&&t(Ls),s&&t(me),s&&t(Fs),s&&t(L),M(Ve),M(ue),s&&t(Ss),s&&t(X),M(Be),s&&t(Ts),s&&t(be),s&&t(As),s&&t(A),M(ze),M(ve),s&&t(xs),s&&t(K),M(Qe),s&&t(Ns),s&&t(Pe),s&&t(Os),s&&t(x),M(Xe),M(je)}}}const kl={local:"models",sections:[{local:"peft.PeftModel",title:"PeftModel"},{local:"peft.PeftModelForSequenceClassification",title:"PeftModelForSequenceClassification"},{local:"peft.PeftModelForTokenClassification",title:"PeftModelForTokenClassification"},{local:"peft.PeftModelForCausalLM",title:"PeftModelForCausalLM"},{local:"peft.PeftModelForSeq2SeqLM",title:"PeftModelForSeq2SeqLM"}],title:"Models"};function yl(N){return $l(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Tl extends ul{constructor(h){super();_l(this,h,yl,El,bl,{})}}export{Tl as default,kl as metadata};
