import{S as Ni,i as Si,s as zi,e as a,k as p,w as b,t as n,M as Di,c as s,d as t,m as d,a as l,x as E,h as r,b as f,G as e,g as m,y as $,q as T,o as y,B as P,v as Mi,L as jn}from"../../chunks/vendor-hf-doc-builder.js";import{D as I}from"../../chunks/Docstring-hf-doc-builder.js";import{C as wn}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Ho}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Cn}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function qi(G){let g,k,u,h,v;return h=new wn({props:{code:`from transformers import AutoModelForSeq2SeqLM, LoraConfig
from peft import LoraModel, LoraConfig

config = LoraConfig(
    peft_type="LORA",
    task_type="SEQ_2_SEQ_LM",
    r=8,
    lora_alpha=32,
    target_modules=["q", "v"],
    lora_dropout=0.01,
)

model = AutoModelForSeq2SeqLM.from_pretrained("t5-base")
lora_model = LoraModel(config, model)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForSeq2SeqLM, LoraConfig
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> peft <span class="hljs-keyword">import</span> LoraModel, LoraConfig

<span class="hljs-meta">&gt;&gt;&gt; </span>config = LoraConfig(
<span class="hljs-meta">... </span>    peft_type=<span class="hljs-string">&quot;LORA&quot;</span>,
<span class="hljs-meta">... </span>    task_type=<span class="hljs-string">&quot;SEQ_2_SEQ_LM&quot;</span>,
<span class="hljs-meta">... </span>    r=<span class="hljs-number">8</span>,
<span class="hljs-meta">... </span>    lora_alpha=<span class="hljs-number">32</span>,
<span class="hljs-meta">... </span>    target_modules=[<span class="hljs-string">&quot;q&quot;</span>, <span class="hljs-string">&quot;v&quot;</span>],
<span class="hljs-meta">... </span>    lora_dropout=<span class="hljs-number">0.01</span>,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;t5-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>lora_model = LoraModel(config, model)`}}),{c(){g=a("p"),k=n("Example:"),u=p(),b(h.$$.fragment)},l(i){g=s(i,"P",{});var _=l(g);k=r(_,"Example:"),_.forEach(t),u=d(i),E(h.$$.fragment,i)},m(i,_){m(i,g,_),e(g,k),m(i,u,_),$(h,i,_),v=!0},p:jn,i(i){v||(T(h.$$.fragment,i),v=!0)},o(i){y(h.$$.fragment,i),v=!1},d(i){i&&t(g),i&&t(u),P(h,i)}}}function Ii(G){let g,k,u,h,v;return h=new wn({props:{code:`from peft import PromptEncoder, PromptEncoderConfig

config = PromptEncoderConfig(
    peft_type="P_TUNING",
    task_type="SEQ_2_SEQ_LM",
    num_virtual_tokens=20,
    token_dim=768,
    num_transformer_submodules=1,
    num_attention_heads=12,
    num_layers=12,
    encoder_reparameterization_type="MLP",
    encoder_hidden_size=768,
)

prompt_encoder = PromptEncoder(config)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> peft <span class="hljs-keyword">import</span> PromptEncoder, PromptEncoderConfig

<span class="hljs-meta">&gt;&gt;&gt; </span>config = PromptEncoderConfig(
<span class="hljs-meta">... </span>    peft_type=<span class="hljs-string">&quot;P_TUNING&quot;</span>,
<span class="hljs-meta">... </span>    task_type=<span class="hljs-string">&quot;SEQ_2_SEQ_LM&quot;</span>,
<span class="hljs-meta">... </span>    num_virtual_tokens=<span class="hljs-number">20</span>,
<span class="hljs-meta">... </span>    token_dim=<span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>    num_transformer_submodules=<span class="hljs-number">1</span>,
<span class="hljs-meta">... </span>    num_attention_heads=<span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    num_layers=<span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    encoder_reparameterization_type=<span class="hljs-string">&quot;MLP&quot;</span>,
<span class="hljs-meta">... </span>    encoder_hidden_size=<span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt_encoder = PromptEncoder(config)`}}),{c(){g=a("p"),k=n("Example:"),u=p(),b(h.$$.fragment)},l(i){g=s(i,"P",{});var _=l(g);k=r(_,"Example:"),_.forEach(t),u=d(i),E(h.$$.fragment,i)},m(i,_){m(i,g,_),e(g,k),m(i,u,_),$(h,i,_),v=!0},p:jn,i(i){v||(T(h.$$.fragment,i),v=!0)},o(i){y(h.$$.fragment,i),v=!1},d(i){i&&t(g),i&&t(u),P(h,i)}}}function Ai(G){let g,k,u,h,v;return h=new wn({props:{code:`from peft import PrefixEncoder, PrefixTuningConfig

config = PrefixTuningConfig(
    peft_type="PREFIX_TUNING",
    task_type="SEQ_2_SEQ_LM",
    num_virtual_tokens=20,
    token_dim=768,
    num_transformer_submodules=1,
    num_attention_heads=12,
    num_layers=12,
    encoder_hidden_size=768,
)
prefix_encoder = PrefixEncoder(config)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> peft <span class="hljs-keyword">import</span> PrefixEncoder, PrefixTuningConfig

<span class="hljs-meta">&gt;&gt;&gt; </span>config = PrefixTuningConfig(
<span class="hljs-meta">... </span>    peft_type=<span class="hljs-string">&quot;PREFIX_TUNING&quot;</span>,
<span class="hljs-meta">... </span>    task_type=<span class="hljs-string">&quot;SEQ_2_SEQ_LM&quot;</span>,
<span class="hljs-meta">... </span>    num_virtual_tokens=<span class="hljs-number">20</span>,
<span class="hljs-meta">... </span>    token_dim=<span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>    num_transformer_submodules=<span class="hljs-number">1</span>,
<span class="hljs-meta">... </span>    num_attention_heads=<span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    num_layers=<span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    encoder_hidden_size=<span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>prefix_encoder = PrefixEncoder(config)`}}),{c(){g=a("p"),k=n("Example:"),u=p(),b(h.$$.fragment)},l(i){g=s(i,"P",{});var _=l(g);k=r(_,"Example:"),_.forEach(t),u=d(i),E(h.$$.fragment,i)},m(i,_){m(i,g,_),e(g,k),m(i,u,_),$(h,i,_),v=!0},p:jn,i(i){v||(T(h.$$.fragment,i),v=!0)},o(i){y(h.$$.fragment,i),v=!1},d(i){i&&t(g),i&&t(u),P(h,i)}}}function Ri(G){let g,k,u,h,v;return h=new wn({props:{code:`from peft import PromptEmbedding, PromptTuningConfig

config = PromptTuningConfig(
    peft_type="PROMPT_TUNING",
    task_type="SEQ_2_SEQ_LM",
    num_virtual_tokens=20,
    token_dim=768,
    num_transformer_submodules=1,
    num_attention_heads=12,
    num_layers=12,
    prompt_tuning_init="TEXT",
    prompt_tuning_init_text="Predict if sentiment of this review is positive, negative or neutral",
    tokenizer_name_or_path="t5-base",
)

# t5_model.shared is the word embeddings of the base model
prompt_embedding = PromptEmbedding(config, t5_model.shared)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> peft <span class="hljs-keyword">import</span> PromptEmbedding, PromptTuningConfig

<span class="hljs-meta">&gt;&gt;&gt; </span>config = PromptTuningConfig(
<span class="hljs-meta">... </span>    peft_type=<span class="hljs-string">&quot;PROMPT_TUNING&quot;</span>,
<span class="hljs-meta">... </span>    task_type=<span class="hljs-string">&quot;SEQ_2_SEQ_LM&quot;</span>,
<span class="hljs-meta">... </span>    num_virtual_tokens=<span class="hljs-number">20</span>,
<span class="hljs-meta">... </span>    token_dim=<span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>    num_transformer_submodules=<span class="hljs-number">1</span>,
<span class="hljs-meta">... </span>    num_attention_heads=<span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    num_layers=<span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    prompt_tuning_init=<span class="hljs-string">&quot;TEXT&quot;</span>,
<span class="hljs-meta">... </span>    prompt_tuning_init_text=<span class="hljs-string">&quot;Predict if sentiment of this review is positive, negative or neutral&quot;</span>,
<span class="hljs-meta">... </span>    tokenizer_name_or_path=<span class="hljs-string">&quot;t5-base&quot;</span>,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># t5_model.shared is the word embeddings of the base model</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>prompt_embedding = PromptEmbedding(config, t5_model.shared)`}}),{c(){g=a("p"),k=n("Example:"),u=p(),b(h.$$.fragment)},l(i){g=s(i,"P",{});var _=l(g);k=r(_,"Example:"),_.forEach(t),u=d(i),E(h.$$.fragment,i)},m(i,_){m(i,g,_),e(g,k),m(i,u,_),$(h,i,_),v=!0},p:jn,i(i){v||(T(h.$$.fragment,i),v=!0)},o(i){y(h.$$.fragment,i),v=!1},d(i){i&&t(g),i&&t(u),P(h,i)}}}function Ui(G){let g,k,u,h,v,i,_,vt,On,Bo,nt,Nn,Wo,V,ae,bt,Ce,Sn,Et,zn,Jo,rt,Dn,Ko,X,je,Mn,we,qn,at,In,An,Yo,O,Oe,Rn,$t,Un,Gn,se,Fn,st,Tt,Qn,Vn,Xn,Ne,le,yt,Hn,Bn,Se,Wn,Jn,Kn,ie,Pt,Yn,Zn,lt,er,tr,or,pe,ze,nr,Lt,rr,Zo,De,Me,en,qe,Ie,tn,Ae,Re,on,H,de,kt,Ue,ar,xt,sr,nn,B,Ge,lr,Fe,ir,it,pr,dr,rn,x,Qe,cr,Ct,mr,fr,ce,hr,pt,jt,gr,_r,ur,L,me,wt,vr,br,Ot,Er,$r,Tr,F,Nt,yr,Pr,St,Lr,kr,zt,xr,Cr,jr,D,Dt,wr,Or,Mt,Nr,Sr,qt,zr,Dr,It,Mr,qr,Ir,fe,At,Ar,Rr,Rt,Ur,Gr,Fr,he,Ut,Qr,Vr,Gt,Xr,Hr,Br,ge,Ft,Wr,Jr,Qt,Kr,Yr,Zr,_e,Vt,ea,ta,Xt,oa,na,ra,ue,Ht,aa,sa,Bt,la,ia,pa,Q,Wt,da,ca,Jt,ma,fa,Kt,ha,ga,_a,W,ua,Yt,va,ba,Zt,Ea,$a,Ta,A,ya,eo,Pa,La,to,ka,xa,oo,Ca,ja,an,J,ve,no,Ve,wa,ro,Oa,sn,K,Xe,Na,He,Sa,dt,za,Da,ln,C,Be,Ma,We,qa,ao,Ia,Aa,Ra,be,Ua,ct,so,Ga,Fa,Qa,Y,Ee,lo,Va,Xa,io,Ha,Ba,Wa,M,po,Ja,Ka,co,Ya,Za,mo,es,ts,fo,os,ns,rs,$e,ho,as,ss,go,ls,is,ps,Z,ds,_o,cs,ms,uo,fs,hs,gs,R,_s,vo,us,vs,bo,bs,Es,Eo,$s,Ts,pn,ee,Te,$o,Je,ys,To,Ps,dn,te,Ke,Ls,Ye,ks,mt,xs,Cs,cn,j,Ze,js,yo,ws,Os,ft,Po,Ns,Ss,zs,Lo,ye,ko,Ds,Ms,xo,qs,Is,As,Pe,Rs,oe,Us,Co,Gs,Fs,jo,Qs,Vs,Xs,U,Hs,wo,Bs,Ws,Oo,Js,Ks,No,Ys,Zs,mn;return i=new Ho({}),Ce=new Ho({}),je=new I({props:{name:"class peft.LoraConfig",anchor:"peft.LoraConfig",parameters:[{name:"peft_type",val:": typing.Union[str, peft.utils.config.PeftType] = None"},{name:"base_model_name_or_path",val:": str = None"},{name:"task_type",val:": typing.Union[str, peft.utils.config.TaskType] = None"},{name:"inference_mode",val:": bool = False"},{name:"r",val:": int = 8"},{name:"target_modules",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"lora_alpha",val:": int = None"},{name:"lora_dropout",val:": float = None"},{name:"merge_weights",val:": bool = False"},{name:"fan_in_fan_out",val:": bool = False"},{name:"enable_lora",val:": typing.Optional[typing.List[bool]] = None"},{name:"bias",val:": str = 'none'"},{name:"modules_to_save",val:": typing.Optional[typing.List[str]] = None"},{name:"init_lora_weights",val:": bool = True"}],parametersDescription:[{anchor:"peft.LoraConfig.r",description:"<strong>r</strong> (<code>int</code>) &#x2014; Lora attention dimension.",name:"r"},{anchor:"peft.LoraConfig.target_modules",description:"<strong>target_modules</strong> (<code>Union[List[str],str]</code>) &#x2014; The names of the modules to apply Lora to.",name:"target_modules"},{anchor:"peft.LoraConfig.lora_alpha",description:"<strong>lora_alpha</strong> (<code>float</code>) &#x2014; The alpha parameter for Lora scaling.",name:"lora_alpha"},{anchor:"peft.LoraConfig.lora_dropout",description:"<strong>lora_dropout</strong> (<code>float</code>) &#x2014; The dropout probability for Lora layers.",name:"lora_dropout"},{anchor:"peft.LoraConfig.merge_weights",description:`<strong>merge_weights</strong> (<code>bool</code>) &#x2014;
Whether to merge the weights of the Lora layers with the base transformer model in <code>eval</code> mode.`,name:"merge_weights"},{anchor:"peft.LoraConfig.fan_in_fan_out",description:"<strong>fan_in_fan_out</strong> (<code>bool</code>) &#x2014; Set this to True if the layer to replace stores weight like (<code>fan_in</code>, <code>fan_out</code>).",name:"fan_in_fan_out"},{anchor:"peft.LoraConfig.enable_lora",description:"<strong>enable_lora</strong> ( <code>List[bool]</code>) &#x2014; Used with <code>lora.MergedLinear</code>.",name:"enable_lora"},{anchor:"peft.LoraConfig.bias",description:"<strong>bias</strong> (<code>str</code>) &#x2014; Bias type for Lora. Can be <code>none</code>, <code>all</code> or <code>lora_only</code>.",name:"bias"},{anchor:"peft.LoraConfig.modules_to_save",description:`<strong>modules_to_save</strong> (<code>List[str]</code>) &#x2014; List of modules apart from Lora layers to be set as trainable
and saved in the final checkpoint.`,name:"modules_to_save"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lora.py#L40"}}),Oe=new I({props:{name:"class peft.LoraModel",anchor:"peft.LoraModel",parameters:[{name:"config",val:""},{name:"model",val:""}],parametersDescription:[{anchor:"peft.LoraModel.model",description:'<strong>model</strong> (<a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel" rel="nofollow">PreTrainedModel</a>) &#x2014; The model to be adapted.',name:"model"},{anchor:"peft.LoraModel.config",description:'<strong>config</strong> (<a href="/docs/peft/main/en/package_reference/tuners#peft.LoraConfig">LoraConfig</a>) &#x2014; The configuration of the Lora model.',name:"config"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lora.py#L94",returnDescription:`
<p>The Lora model.</p>
`,returnType:`
<p><code>torch.nn.Module</code></p>
`}}),se=new Cn({props:{anchor:"peft.LoraModel.example",$$slots:{default:[qi]},$$scope:{ctx:G}}}),ze=new I({props:{name:"merge_and_unload",anchor:"peft.LoraModel.merge_and_unload",parameters:[],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lora.py#L252"}}),Me=new I({props:{name:"class peft.tuners.lora.LoraLayer",anchor:"peft.tuners.lora.LoraLayer",parameters:[{name:"r",val:": int"},{name:"lora_alpha",val:": int"},{name:"lora_dropout",val:": float"},{name:"merge_weights",val:": bool"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lora.py#L313"}}),Ie=new I({props:{name:"class peft.tuners.lora.Linear",anchor:"peft.tuners.lora.Linear",parameters:[{name:"in_features",val:": int"},{name:"out_features",val:": int"},{name:"r",val:": int = 0"},{name:"lora_alpha",val:": int = 1"},{name:"lora_dropout",val:": float = 0.0"},{name:"fan_in_fan_out",val:": bool = False"},{name:"merge_weights",val:": bool = True"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lora.py#L334"}}),Re=new I({props:{name:"class peft.tuners.lora.MergedLinear",anchor:"peft.tuners.lora.MergedLinear",parameters:[{name:"in_features",val:": int"},{name:"out_features",val:": int"},{name:"r",val:": int = 0"},{name:"lora_alpha",val:": int = 1"},{name:"lora_dropout",val:": float = 0.0"},{name:"enable_lora",val:": typing.List[bool] = [False]"},{name:"fan_in_fan_out",val:": bool = False"},{name:"merge_weights",val:": bool = True"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lora.py#L414"}}),Ue=new Ho({}),Ge=new I({props:{name:"class peft.PromptEncoderConfig",anchor:"peft.PromptEncoderConfig",parameters:[{name:"peft_type",val:": typing.Union[str, peft.utils.config.PeftType] = None"},{name:"base_model_name_or_path",val:": str = None"},{name:"task_type",val:": typing.Union[str, peft.utils.config.TaskType] = None"},{name:"inference_mode",val:": bool = False"},{name:"num_virtual_tokens",val:": int = None"},{name:"token_dim",val:": int = None"},{name:"num_transformer_submodules",val:": typing.Optional[int] = None"},{name:"num_attention_heads",val:": typing.Optional[int] = None"},{name:"num_layers",val:": typing.Optional[int] = None"},{name:"encoder_reparameterization_type",val:": typing.Union[str, peft.tuners.p_tuning.PromptEncoderReparameterizationType] = <PromptEncoderReparameterizationType.MLP: 'MLP'>"},{name:"encoder_hidden_size",val:": int = None"},{name:"encoder_num_layers",val:": int = 2"},{name:"encoder_dropout",val:": float = 0.0"}],parametersDescription:[{anchor:"peft.PromptEncoderConfig.encoder_reparameterization_type",description:`<strong>encoder_reparameterization_type</strong> (Union[<code>PromptEncoderReparameterizationType</code>, <code>str</code>]) &#x2014;
The type of reparameterization to use.`,name:"encoder_reparameterization_type"},{anchor:"peft.PromptEncoderConfig.encoder_hidden_size",description:"<strong>encoder_hidden_size</strong> (<code>int</code>) &#x2014; The hidden size of the prompt encoder.",name:"encoder_hidden_size"},{anchor:"peft.PromptEncoderConfig.encoder_num_layers",description:"<strong>encoder_num_layers</strong> (<code>int</code>) &#x2014; The number of layers of the prompt encoder.",name:"encoder_num_layers"},{anchor:"peft.PromptEncoderConfig.encoder_dropout",description:"<strong>encoder_dropout</strong> (<code>float</code>) &#x2014; The dropout probability of the prompt encoder.",name:"encoder_dropout"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/p_tuning.py#L32"}}),Qe=new I({props:{name:"class peft.PromptEncoder",anchor:"peft.PromptEncoder",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"peft.PromptEncoder.config",description:'<strong>config</strong> (<a href="/docs/peft/main/en/package_reference/tuners#peft.PromptEncoderConfig">PromptEncoderConfig</a>) &#x2014; The configuration of the prompt encoder.',name:"config"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/p_tuning.py#L67"}}),ce=new Cn({props:{anchor:"peft.PromptEncoder.example",$$slots:{default:[Ii]},$$scope:{ctx:G}}}),Ve=new Ho({}),Xe=new I({props:{name:"class peft.PrefixTuningConfig",anchor:"peft.PrefixTuningConfig",parameters:[{name:"peft_type",val:": typing.Union[str, peft.utils.config.PeftType] = None"},{name:"base_model_name_or_path",val:": str = None"},{name:"task_type",val:": typing.Union[str, peft.utils.config.TaskType] = None"},{name:"inference_mode",val:": bool = False"},{name:"num_virtual_tokens",val:": int = None"},{name:"token_dim",val:": int = None"},{name:"num_transformer_submodules",val:": typing.Optional[int] = None"},{name:"num_attention_heads",val:": typing.Optional[int] = None"},{name:"num_layers",val:": typing.Optional[int] = None"},{name:"encoder_hidden_size",val:": int = None"},{name:"prefix_projection",val:": bool = False"}],parametersDescription:[{anchor:"peft.PrefixTuningConfig.encoder_hidden_size",description:"<strong>encoder_hidden_size</strong> (<code>int</code>) &#x2014; The hidden size of the prompt encoder.",name:"encoder_hidden_size"},{anchor:"peft.PrefixTuningConfig.prefix_projection",description:"<strong>prefix_projection</strong> (<code>bool</code>) &#x2014; Whether to project the prefix embeddings.",name:"prefix_projection"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/prefix_tuning.py#L25"}}),Be=new I({props:{name:"class peft.PrefixEncoder",anchor:"peft.PrefixEncoder",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"peft.PrefixEncoder.config",description:'<strong>config</strong> (<a href="/docs/peft/main/en/package_reference/tuners#peft.PrefixTuningConfig">PrefixTuningConfig</a>) &#x2014; The configuration of the prefix encoder.',name:"config"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/prefix_tuning.py#L49"}}),be=new Cn({props:{anchor:"peft.PrefixEncoder.example",$$slots:{default:[Ai]},$$scope:{ctx:G}}}),Je=new Ho({}),Ke=new I({props:{name:"class peft.PromptTuningConfig",anchor:"peft.PromptTuningConfig",parameters:[{name:"peft_type",val:": typing.Union[str, peft.utils.config.PeftType] = None"},{name:"base_model_name_or_path",val:": str = None"},{name:"task_type",val:": typing.Union[str, peft.utils.config.TaskType] = None"},{name:"inference_mode",val:": bool = False"},{name:"num_virtual_tokens",val:": int = None"},{name:"token_dim",val:": int = None"},{name:"num_transformer_submodules",val:": typing.Optional[int] = None"},{name:"num_attention_heads",val:": typing.Optional[int] = None"},{name:"num_layers",val:": typing.Optional[int] = None"},{name:"prompt_tuning_init",val:": typing.Union[peft.tuners.prompt_tuning.PromptTuningInit, str] = <PromptTuningInit.RANDOM: 'RANDOM'>"},{name:"prompt_tuning_init_text",val:": typing.Optional[str] = None"},{name:"tokenizer_name_or_path",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"peft.PromptTuningConfig.prompt_tuning_init",description:"<strong>prompt_tuning_init</strong> (Union[<code>PromptTuningInit</code>, <code>str</code>]) &#x2014; The initialization of the prompt embedding.",name:"prompt_tuning_init"},{anchor:"peft.PromptTuningConfig.prompt_tuning_init_text",description:`<strong>prompt_tuning_init_text</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The text to initialize the prompt embedding. Only used if <code>prompt_tuning_init</code> is <code>TEXT</code>.`,name:"prompt_tuning_init_text"},{anchor:"peft.PromptTuningConfig.tokenizer_name_or_path",description:`<strong>tokenizer_name_or_path</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The name or path of the tokenizer. Only used if <code>prompt_tuning_init</code> is <code>TEXT</code>.`,name:"tokenizer_name_or_path"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/prompt_tuning.py#L32"}}),Ze=new I({props:{name:"class peft.PromptEmbedding",anchor:"peft.PromptEmbedding",parameters:[{name:"config",val:""},{name:"word_embeddings",val:""}],parametersDescription:[{anchor:"peft.PromptEmbedding.config",description:'<strong>config</strong> (<a href="/docs/peft/main/en/package_reference/tuners#peft.PromptTuningConfig">PromptTuningConfig</a>) &#x2014; The configuration of the prompt embedding.',name:"config"},{anchor:"peft.PromptEmbedding.word_embeddings",description:"<strong>word_embeddings</strong> (<code>torch.nn.Module</code>) &#x2014; The word embeddings of the base transformer model.",name:"word_embeddings"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/prompt_tuning.py#L65"}}),Pe=new Cn({props:{anchor:"peft.PromptEmbedding.example",$$slots:{default:[Ri]},$$scope:{ctx:G}}}),{c(){g=a("meta"),k=p(),u=a("h1"),h=a("a"),v=a("span"),b(i.$$.fragment),_=p(),vt=a("span"),On=n("Tuners"),Bo=p(),nt=a("p"),Nn=n("Each tuner (or PEFT method) has a configuration and model."),Wo=p(),V=a("h2"),ae=a("a"),bt=a("span"),b(Ce.$$.fragment),Sn=p(),Et=a("span"),zn=n("LoRA"),Jo=p(),rt=a("p"),Dn=n("For finetuning a model with LoRA."),Ko=p(),X=a("div"),b(je.$$.fragment),Mn=p(),we=a("p"),qn=n("This is the configuration class to store the configuration of a "),at=a("a"),In=n("LoraModel"),An=n("."),Yo=p(),O=a("div"),b(Oe.$$.fragment),Rn=p(),$t=a("p"),Un=n("Creates Low Rank Adapter (Lora) model from a pretrained transformers model."),Gn=p(),b(se.$$.fragment),Fn=p(),st=a("p"),Tt=a("strong"),Qn=n("Attributes"),Vn=n(":"),Xn=p(),Ne=a("ul"),le=a("li"),yt=a("strong"),Hn=n("model"),Bn=n(" ("),Se=a("a"),Wn=n("PreTrainedModel"),Jn=n(") \u2014 The model to be adapted."),Kn=p(),ie=a("li"),Pt=a("strong"),Yn=n("peft_config"),Zn=n(" ("),lt=a("a"),er=n("LoraConfig"),tr=n("): The configuration of the Lora model."),or=p(),pe=a("div"),b(ze.$$.fragment),nr=p(),Lt=a("p"),rr=n(`This method merges the LoRa layers into the base model. This is needed if someone wants to use the base model
as a standalone model.`),Zo=p(),De=a("div"),b(Me.$$.fragment),en=p(),qe=a("div"),b(Ie.$$.fragment),tn=p(),Ae=a("div"),b(Re.$$.fragment),on=p(),H=a("h2"),de=a("a"),kt=a("span"),b(Ue.$$.fragment),ar=p(),xt=a("span"),sr=n("P-tuning"),nn=p(),B=a("div"),b(Ge.$$.fragment),lr=p(),Fe=a("p"),ir=n("This is the configuration class to store the configuration of a "),it=a("a"),pr=n("PromptEncoder"),dr=n("."),rn=p(),x=a("div"),b(Qe.$$.fragment),cr=p(),Ct=a("p"),mr=n("The prompt encoder network that is used to generate the virtual token embeddings for p-tuning."),fr=p(),b(ce.$$.fragment),hr=p(),pt=a("p"),jt=a("strong"),gr=n("Attributes"),_r=n(":"),ur=p(),L=a("ul"),me=a("li"),wt=a("strong"),vr=n("embedding"),br=n(" ("),Ot=a("code"),Er=n("torch.nn.Embedding"),$r=n(") \u2014 The embedding layer of the prompt encoder."),Tr=p(),F=a("li"),Nt=a("strong"),yr=n("mlp_head"),Pr=n(" ("),St=a("code"),Lr=n("torch.nn.Sequential"),kr=n(") \u2014 The MLP head of the prompt encoder if "),zt=a("code"),xr=n("inference_mode=False"),Cr=n("."),jr=p(),D=a("li"),Dt=a("strong"),wr=n("lstm_head"),Or=n(" ("),Mt=a("code"),Nr=n("torch.nn.LSTM"),Sr=n(") \u2014 The LSTM head of the prompt encoder if "),qt=a("code"),zr=n("inference_mode=False"),Dr=n(` and
`),It=a("code"),Mr=n('encoder_reparameterization_type="LSTM"'),qr=n("."),Ir=p(),fe=a("li"),At=a("strong"),Ar=n("token_dim"),Rr=n(" ("),Rt=a("code"),Ur=n("int"),Gr=n(") \u2014 The hidden embedding dimension of the base transformer model."),Fr=p(),he=a("li"),Ut=a("strong"),Qr=n("input_size"),Vr=n(" ("),Gt=a("code"),Xr=n("int"),Hr=n(") \u2014 The input size of the prompt encoder."),Br=p(),ge=a("li"),Ft=a("strong"),Wr=n("output_size"),Jr=n(" ("),Qt=a("code"),Kr=n("int"),Yr=n(") \u2014 The output size of the prompt encoder."),Zr=p(),_e=a("li"),Vt=a("strong"),ea=n("hidden_size"),ta=n(" ("),Xt=a("code"),oa=n("int"),na=n(") \u2014 The hidden size of the prompt encoder."),ra=p(),ue=a("li"),Ht=a("strong"),aa=n("total_virtual_tokens"),sa=n(" ("),Bt=a("code"),la=n("int"),ia=n(`): The total number of virtual tokens of the
prompt encoder.`),pa=p(),Q=a("li"),Wt=a("strong"),da=n("encoder_type"),ca=n(" (Union["),Jt=a("code"),ma=n("PromptEncoderReparameterizationType"),fa=n(", "),Kt=a("code"),ha=n("str"),ga=n(`]): The encoder type of the prompt
encoder.`),_a=p(),W=a("p"),ua=n("Input shape: ("),Yt=a("code"),va=n("batch_size"),ba=n(", "),Zt=a("code"),Ea=n("total_virtual_tokens"),$a=n(")"),Ta=p(),A=a("p"),ya=n("Output shape: ("),eo=a("code"),Pa=n("batch_size"),La=n(", "),to=a("code"),ka=n("total_virtual_tokens"),xa=n(", "),oo=a("code"),Ca=n("token_dim"),ja=n(")"),an=p(),J=a("h2"),ve=a("a"),no=a("span"),b(Ve.$$.fragment),wa=p(),ro=a("span"),Oa=n("Prefix tuning"),sn=p(),K=a("div"),b(Xe.$$.fragment),Na=p(),He=a("p"),Sa=n("This is the configuration class to store the configuration of a "),dt=a("a"),za=n("PrefixEncoder"),Da=n("."),ln=p(),C=a("div"),b(Be.$$.fragment),Ma=p(),We=a("p"),qa=n("The "),ao=a("code"),Ia=n("torch.nn"),Aa=n(" model to encode the prefix."),Ra=p(),b(be.$$.fragment),Ua=p(),ct=a("p"),so=a("strong"),Ga=n("Attributes"),Fa=n(":"),Qa=p(),Y=a("ul"),Ee=a("li"),lo=a("strong"),Va=n("embedding"),Xa=n(" ("),io=a("code"),Ha=n("torch.nn.Embedding"),Ba=n(") \u2014 The embedding layer of the prefix encoder."),Wa=p(),M=a("li"),po=a("strong"),Ja=n("transform"),Ka=n(" ("),co=a("code"),Ya=n("torch.nn.Sequential"),Za=n(`) \u2014 The two-layer MLP to transform the prefix embeddings if
`),mo=a("code"),es=n("prefix_projection"),ts=n(" is "),fo=a("code"),os=n("True"),ns=n("."),rs=p(),$e=a("li"),ho=a("strong"),as=n("prefix_projection"),ss=n(" ("),go=a("code"),ls=n("bool"),is=n(") \u2014 Whether to project the prefix embeddings."),ps=p(),Z=a("p"),ds=n("Input shape: ("),_o=a("code"),cs=n("batch_size"),ms=n(", "),uo=a("code"),fs=n("num_virtual_tokens"),hs=n(")"),gs=p(),R=a("p"),_s=n("Output shape: ("),vo=a("code"),us=n("batch_size"),vs=n(", "),bo=a("code"),bs=n("num_virtual_tokens"),Es=n(", "),Eo=a("code"),$s=n("2*layers*hidden"),Ts=n(")"),pn=p(),ee=a("h2"),Te=a("a"),$o=a("span"),b(Je.$$.fragment),ys=p(),To=a("span"),Ps=n("Prompt tuning"),dn=p(),te=a("div"),b(Ke.$$.fragment),Ls=p(),Ye=a("p"),ks=n("This is the configuration class to store the configuration of a "),mt=a("a"),xs=n("PromptEmbedding"),Cs=n("."),cn=p(),j=a("div"),b(Ze.$$.fragment),js=p(),yo=a("p"),ws=n("The model to encode virtual tokens into prompt embeddings."),Os=p(),ft=a("p"),Po=a("strong"),Ns=n("Attributes"),Ss=n(":"),zs=p(),Lo=a("ul"),ye=a("li"),ko=a("strong"),Ds=n("embedding"),Ms=n(" ("),xo=a("code"),qs=n("torch.nn.Embedding"),Is=n(") \u2014 The embedding layer of the prompt embedding."),As=p(),b(Pe.$$.fragment),Rs=p(),oe=a("p"),Us=n("Input Shape: ("),Co=a("code"),Gs=n("batch_size"),Fs=n(", "),jo=a("code"),Qs=n("total_virtual_tokens"),Vs=n(")"),Xs=p(),U=a("p"),Hs=n("Output Shape: ("),wo=a("code"),Bs=n("batch_size"),Ws=n(", "),Oo=a("code"),Js=n("total_virtual_tokens"),Ks=n(", "),No=a("code"),Ys=n("token_dim"),Zs=n(")"),this.h()},l(o){const c=Di('[data-svelte="svelte-1phssyn"]',document.head);g=s(c,"META",{name:!0,content:!0}),c.forEach(t),k=d(o),u=s(o,"H1",{class:!0});var et=l(u);h=s(et,"A",{id:!0,class:!0,href:!0});var So=l(h);v=s(So,"SPAN",{});var zo=l(v);E(i.$$.fragment,zo),zo.forEach(t),So.forEach(t),_=d(et),vt=s(et,"SPAN",{});var Do=l(vt);On=r(Do,"Tuners"),Do.forEach(t),et.forEach(t),Bo=d(o),nt=s(o,"P",{});var rl=l(nt);Nn=r(rl,"Each tuner (or PEFT method) has a configuration and model."),rl.forEach(t),Wo=d(o),V=s(o,"H2",{class:!0});var fn=l(V);ae=s(fn,"A",{id:!0,class:!0,href:!0});var al=l(ae);bt=s(al,"SPAN",{});var sl=l(bt);E(Ce.$$.fragment,sl),sl.forEach(t),al.forEach(t),Sn=d(fn),Et=s(fn,"SPAN",{});var ll=l(Et);zn=r(ll,"LoRA"),ll.forEach(t),fn.forEach(t),Jo=d(o),rt=s(o,"P",{});var il=l(rt);Dn=r(il,"For finetuning a model with LoRA."),il.forEach(t),Ko=d(o),X=s(o,"DIV",{class:!0});var hn=l(X);E(je.$$.fragment,hn),Mn=d(hn),we=s(hn,"P",{});var gn=l(we);qn=r(gn,"This is the configuration class to store the configuration of a "),at=s(gn,"A",{href:!0});var pl=l(at);In=r(pl,"LoraModel"),pl.forEach(t),An=r(gn,"."),gn.forEach(t),hn.forEach(t),Yo=d(o),O=s(o,"DIV",{class:!0});var q=l(O);E(Oe.$$.fragment,q),Rn=d(q),$t=s(q,"P",{});var dl=l($t);Un=r(dl,"Creates Low Rank Adapter (Lora) model from a pretrained transformers model."),dl.forEach(t),Gn=d(q),E(se.$$.fragment,q),Fn=d(q),st=s(q,"P",{});var el=l(st);Tt=s(el,"STRONG",{});var cl=l(Tt);Qn=r(cl,"Attributes"),cl.forEach(t),Vn=r(el,":"),el.forEach(t),Xn=d(q),Ne=s(q,"UL",{});var _n=l(Ne);le=s(_n,"LI",{});var Mo=l(le);yt=s(Mo,"STRONG",{});var ml=l(yt);Hn=r(ml,"model"),ml.forEach(t),Bn=r(Mo," ("),Se=s(Mo,"A",{href:!0,rel:!0});var fl=l(Se);Wn=r(fl,"PreTrainedModel"),fl.forEach(t),Jn=r(Mo,") \u2014 The model to be adapted."),Mo.forEach(t),Kn=d(_n),ie=s(_n,"LI",{});var qo=l(ie);Pt=s(qo,"STRONG",{});var hl=l(Pt);Yn=r(hl,"peft_config"),hl.forEach(t),Zn=r(qo," ("),lt=s(qo,"A",{href:!0});var gl=l(lt);er=r(gl,"LoraConfig"),gl.forEach(t),tr=r(qo,"): The configuration of the Lora model."),qo.forEach(t),_n.forEach(t),or=d(q),pe=s(q,"DIV",{class:!0});var un=l(pe);E(ze.$$.fragment,un),nr=d(un),Lt=s(un,"P",{});var _l=l(Lt);rr=r(_l,`This method merges the LoRa layers into the base model. This is needed if someone wants to use the base model
as a standalone model.`),_l.forEach(t),un.forEach(t),q.forEach(t),Zo=d(o),De=s(o,"DIV",{class:!0});var ul=l(De);E(Me.$$.fragment,ul),ul.forEach(t),en=d(o),qe=s(o,"DIV",{class:!0});var vl=l(qe);E(Ie.$$.fragment,vl),vl.forEach(t),tn=d(o),Ae=s(o,"DIV",{class:!0});var bl=l(Ae);E(Re.$$.fragment,bl),bl.forEach(t),on=d(o),H=s(o,"H2",{class:!0});var vn=l(H);de=s(vn,"A",{id:!0,class:!0,href:!0});var El=l(de);kt=s(El,"SPAN",{});var $l=l(kt);E(Ue.$$.fragment,$l),$l.forEach(t),El.forEach(t),ar=d(vn),xt=s(vn,"SPAN",{});var Tl=l(xt);sr=r(Tl,"P-tuning"),Tl.forEach(t),vn.forEach(t),nn=d(o),B=s(o,"DIV",{class:!0});var bn=l(B);E(Ge.$$.fragment,bn),lr=d(bn),Fe=s(bn,"P",{});var En=l(Fe);ir=r(En,"This is the configuration class to store the configuration of a "),it=s(En,"A",{href:!0});var yl=l(it);pr=r(yl,"PromptEncoder"),yl.forEach(t),dr=r(En,"."),En.forEach(t),bn.forEach(t),rn=d(o),x=s(o,"DIV",{class:!0});var N=l(x);E(Qe.$$.fragment,N),cr=d(N),Ct=s(N,"P",{});var Pl=l(Ct);mr=r(Pl,"The prompt encoder network that is used to generate the virtual token embeddings for p-tuning."),Pl.forEach(t),fr=d(N),E(ce.$$.fragment,N),hr=d(N),pt=s(N,"P",{});var tl=l(pt);jt=s(tl,"STRONG",{});var Ll=l(jt);gr=r(Ll,"Attributes"),Ll.forEach(t),_r=r(tl,":"),tl.forEach(t),ur=d(N),L=s(N,"UL",{});var w=l(L);me=s(w,"LI",{});var Io=l(me);wt=s(Io,"STRONG",{});var kl=l(wt);vr=r(kl,"embedding"),kl.forEach(t),br=r(Io," ("),Ot=s(Io,"CODE",{});var xl=l(Ot);Er=r(xl,"torch.nn.Embedding"),xl.forEach(t),$r=r(Io,") \u2014 The embedding layer of the prompt encoder."),Io.forEach(t),Tr=d(w),F=s(w,"LI",{});var tt=l(F);Nt=s(tt,"STRONG",{});var Cl=l(Nt);yr=r(Cl,"mlp_head"),Cl.forEach(t),Pr=r(tt," ("),St=s(tt,"CODE",{});var jl=l(St);Lr=r(jl,"torch.nn.Sequential"),jl.forEach(t),kr=r(tt,") \u2014 The MLP head of the prompt encoder if "),zt=s(tt,"CODE",{});var wl=l(zt);xr=r(wl,"inference_mode=False"),wl.forEach(t),Cr=r(tt,"."),tt.forEach(t),jr=d(w),D=s(w,"LI",{});var ne=l(D);Dt=s(ne,"STRONG",{});var Ol=l(Dt);wr=r(Ol,"lstm_head"),Ol.forEach(t),Or=r(ne," ("),Mt=s(ne,"CODE",{});var Nl=l(Mt);Nr=r(Nl,"torch.nn.LSTM"),Nl.forEach(t),Sr=r(ne,") \u2014 The LSTM head of the prompt encoder if "),qt=s(ne,"CODE",{});var Sl=l(qt);zr=r(Sl,"inference_mode=False"),Sl.forEach(t),Dr=r(ne,` and
`),It=s(ne,"CODE",{});var zl=l(It);Mr=r(zl,'encoder_reparameterization_type="LSTM"'),zl.forEach(t),qr=r(ne,"."),ne.forEach(t),Ir=d(w),fe=s(w,"LI",{});var Ao=l(fe);At=s(Ao,"STRONG",{});var Dl=l(At);Ar=r(Dl,"token_dim"),Dl.forEach(t),Rr=r(Ao," ("),Rt=s(Ao,"CODE",{});var Ml=l(Rt);Ur=r(Ml,"int"),Ml.forEach(t),Gr=r(Ao,") \u2014 The hidden embedding dimension of the base transformer model."),Ao.forEach(t),Fr=d(w),he=s(w,"LI",{});var Ro=l(he);Ut=s(Ro,"STRONG",{});var ql=l(Ut);Qr=r(ql,"input_size"),ql.forEach(t),Vr=r(Ro," ("),Gt=s(Ro,"CODE",{});var Il=l(Gt);Xr=r(Il,"int"),Il.forEach(t),Hr=r(Ro,") \u2014 The input size of the prompt encoder."),Ro.forEach(t),Br=d(w),ge=s(w,"LI",{});var Uo=l(ge);Ft=s(Uo,"STRONG",{});var Al=l(Ft);Wr=r(Al,"output_size"),Al.forEach(t),Jr=r(Uo," ("),Qt=s(Uo,"CODE",{});var Rl=l(Qt);Kr=r(Rl,"int"),Rl.forEach(t),Yr=r(Uo,") \u2014 The output size of the prompt encoder."),Uo.forEach(t),Zr=d(w),_e=s(w,"LI",{});var Go=l(_e);Vt=s(Go,"STRONG",{});var Ul=l(Vt);ea=r(Ul,"hidden_size"),Ul.forEach(t),ta=r(Go," ("),Xt=s(Go,"CODE",{});var Gl=l(Xt);oa=r(Gl,"int"),Gl.forEach(t),na=r(Go,") \u2014 The hidden size of the prompt encoder."),Go.forEach(t),ra=d(w),ue=s(w,"LI",{});var Fo=l(ue);Ht=s(Fo,"STRONG",{});var Fl=l(Ht);aa=r(Fl,"total_virtual_tokens"),Fl.forEach(t),sa=r(Fo," ("),Bt=s(Fo,"CODE",{});var Ql=l(Bt);la=r(Ql,"int"),Ql.forEach(t),ia=r(Fo,`): The total number of virtual tokens of the
prompt encoder.`),Fo.forEach(t),pa=d(w),Q=s(w,"LI",{});var ot=l(Q);Wt=s(ot,"STRONG",{});var Vl=l(Wt);da=r(Vl,"encoder_type"),Vl.forEach(t),ca=r(ot," (Union["),Jt=s(ot,"CODE",{});var Xl=l(Jt);ma=r(Xl,"PromptEncoderReparameterizationType"),Xl.forEach(t),fa=r(ot,", "),Kt=s(ot,"CODE",{});var Hl=l(Kt);ha=r(Hl,"str"),Hl.forEach(t),ga=r(ot,`]): The encoder type of the prompt
encoder.`),ot.forEach(t),w.forEach(t),_a=d(N),W=s(N,"P",{});var ht=l(W);ua=r(ht,"Input shape: ("),Yt=s(ht,"CODE",{});var Bl=l(Yt);va=r(Bl,"batch_size"),Bl.forEach(t),ba=r(ht,", "),Zt=s(ht,"CODE",{});var Wl=l(Zt);Ea=r(Wl,"total_virtual_tokens"),Wl.forEach(t),$a=r(ht,")"),ht.forEach(t),Ta=d(N),A=s(N,"P",{});var Le=l(A);ya=r(Le,"Output shape: ("),eo=s(Le,"CODE",{});var Jl=l(eo);Pa=r(Jl,"batch_size"),Jl.forEach(t),La=r(Le,", "),to=s(Le,"CODE",{});var Kl=l(to);ka=r(Kl,"total_virtual_tokens"),Kl.forEach(t),xa=r(Le,", "),oo=s(Le,"CODE",{});var Yl=l(oo);Ca=r(Yl,"token_dim"),Yl.forEach(t),ja=r(Le,")"),Le.forEach(t),N.forEach(t),an=d(o),J=s(o,"H2",{class:!0});var $n=l(J);ve=s($n,"A",{id:!0,class:!0,href:!0});var Zl=l(ve);no=s(Zl,"SPAN",{});var ei=l(no);E(Ve.$$.fragment,ei),ei.forEach(t),Zl.forEach(t),wa=d($n),ro=s($n,"SPAN",{});var ti=l(ro);Oa=r(ti,"Prefix tuning"),ti.forEach(t),$n.forEach(t),sn=d(o),K=s(o,"DIV",{class:!0});var Tn=l(K);E(Xe.$$.fragment,Tn),Na=d(Tn),He=s(Tn,"P",{});var yn=l(He);Sa=r(yn,"This is the configuration class to store the configuration of a "),dt=s(yn,"A",{href:!0});var oi=l(dt);za=r(oi,"PrefixEncoder"),oi.forEach(t),Da=r(yn,"."),yn.forEach(t),Tn.forEach(t),ln=d(o),C=s(o,"DIV",{class:!0});var S=l(C);E(Be.$$.fragment,S),Ma=d(S),We=s(S,"P",{});var Pn=l(We);qa=r(Pn,"The "),ao=s(Pn,"CODE",{});var ni=l(ao);Ia=r(ni,"torch.nn"),ni.forEach(t),Aa=r(Pn," model to encode the prefix."),Pn.forEach(t),Ra=d(S),E(be.$$.fragment,S),Ua=d(S),ct=s(S,"P",{});var ol=l(ct);so=s(ol,"STRONG",{});var ri=l(so);Ga=r(ri,"Attributes"),ri.forEach(t),Fa=r(ol,":"),ol.forEach(t),Qa=d(S),Y=s(S,"UL",{});var gt=l(Y);Ee=s(gt,"LI",{});var Qo=l(Ee);lo=s(Qo,"STRONG",{});var ai=l(lo);Va=r(ai,"embedding"),ai.forEach(t),Xa=r(Qo," ("),io=s(Qo,"CODE",{});var si=l(io);Ha=r(si,"torch.nn.Embedding"),si.forEach(t),Ba=r(Qo,") \u2014 The embedding layer of the prefix encoder."),Qo.forEach(t),Wa=d(gt),M=s(gt,"LI",{});var re=l(M);po=s(re,"STRONG",{});var li=l(po);Ja=r(li,"transform"),li.forEach(t),Ka=r(re," ("),co=s(re,"CODE",{});var ii=l(co);Ya=r(ii,"torch.nn.Sequential"),ii.forEach(t),Za=r(re,`) \u2014 The two-layer MLP to transform the prefix embeddings if
`),mo=s(re,"CODE",{});var pi=l(mo);es=r(pi,"prefix_projection"),pi.forEach(t),ts=r(re," is "),fo=s(re,"CODE",{});var di=l(fo);os=r(di,"True"),di.forEach(t),ns=r(re,"."),re.forEach(t),rs=d(gt),$e=s(gt,"LI",{});var Vo=l($e);ho=s(Vo,"STRONG",{});var ci=l(ho);as=r(ci,"prefix_projection"),ci.forEach(t),ss=r(Vo," ("),go=s(Vo,"CODE",{});var mi=l(go);ls=r(mi,"bool"),mi.forEach(t),is=r(Vo,") \u2014 Whether to project the prefix embeddings."),Vo.forEach(t),gt.forEach(t),ps=d(S),Z=s(S,"P",{});var _t=l(Z);ds=r(_t,"Input shape: ("),_o=s(_t,"CODE",{});var fi=l(_o);cs=r(fi,"batch_size"),fi.forEach(t),ms=r(_t,", "),uo=s(_t,"CODE",{});var hi=l(uo);fs=r(hi,"num_virtual_tokens"),hi.forEach(t),hs=r(_t,")"),_t.forEach(t),gs=d(S),R=s(S,"P",{});var ke=l(R);_s=r(ke,"Output shape: ("),vo=s(ke,"CODE",{});var gi=l(vo);us=r(gi,"batch_size"),gi.forEach(t),vs=r(ke,", "),bo=s(ke,"CODE",{});var _i=l(bo);bs=r(_i,"num_virtual_tokens"),_i.forEach(t),Es=r(ke,", "),Eo=s(ke,"CODE",{});var ui=l(Eo);$s=r(ui,"2*layers*hidden"),ui.forEach(t),Ts=r(ke,")"),ke.forEach(t),S.forEach(t),pn=d(o),ee=s(o,"H2",{class:!0});var Ln=l(ee);Te=s(Ln,"A",{id:!0,class:!0,href:!0});var vi=l(Te);$o=s(vi,"SPAN",{});var bi=l($o);E(Je.$$.fragment,bi),bi.forEach(t),vi.forEach(t),ys=d(Ln),To=s(Ln,"SPAN",{});var Ei=l(To);Ps=r(Ei,"Prompt tuning"),Ei.forEach(t),Ln.forEach(t),dn=d(o),te=s(o,"DIV",{class:!0});var kn=l(te);E(Ke.$$.fragment,kn),Ls=d(kn),Ye=s(kn,"P",{});var xn=l(Ye);ks=r(xn,"This is the configuration class to store the configuration of a "),mt=s(xn,"A",{href:!0});var $i=l(mt);xs=r($i,"PromptEmbedding"),$i.forEach(t),Cs=r(xn,"."),xn.forEach(t),kn.forEach(t),cn=d(o),j=s(o,"DIV",{class:!0});var z=l(j);E(Ze.$$.fragment,z),js=d(z),yo=s(z,"P",{});var Ti=l(yo);ws=r(Ti,"The model to encode virtual tokens into prompt embeddings."),Ti.forEach(t),Os=d(z),ft=s(z,"P",{});var nl=l(ft);Po=s(nl,"STRONG",{});var yi=l(Po);Ns=r(yi,"Attributes"),yi.forEach(t),Ss=r(nl,":"),nl.forEach(t),zs=d(z),Lo=s(z,"UL",{});var Pi=l(Lo);ye=s(Pi,"LI",{});var Xo=l(ye);ko=s(Xo,"STRONG",{});var Li=l(ko);Ds=r(Li,"embedding"),Li.forEach(t),Ms=r(Xo," ("),xo=s(Xo,"CODE",{});var ki=l(xo);qs=r(ki,"torch.nn.Embedding"),ki.forEach(t),Is=r(Xo,") \u2014 The embedding layer of the prompt embedding."),Xo.forEach(t),Pi.forEach(t),As=d(z),E(Pe.$$.fragment,z),Rs=d(z),oe=s(z,"P",{});var ut=l(oe);Us=r(ut,"Input Shape: ("),Co=s(ut,"CODE",{});var xi=l(Co);Gs=r(xi,"batch_size"),xi.forEach(t),Fs=r(ut,", "),jo=s(ut,"CODE",{});var Ci=l(jo);Qs=r(Ci,"total_virtual_tokens"),Ci.forEach(t),Vs=r(ut,")"),ut.forEach(t),Xs=d(z),U=s(z,"P",{});var xe=l(U);Hs=r(xe,"Output Shape: ("),wo=s(xe,"CODE",{});var ji=l(wo);Bs=r(ji,"batch_size"),ji.forEach(t),Ws=r(xe,", "),Oo=s(xe,"CODE",{});var wi=l(Oo);Js=r(wi,"total_virtual_tokens"),wi.forEach(t),Ks=r(xe,", "),No=s(xe,"CODE",{});var Oi=l(No);Ys=r(Oi,"token_dim"),Oi.forEach(t),Zs=r(xe,")"),xe.forEach(t),z.forEach(t),this.h()},h(){f(g,"name","hf:doc:metadata"),f(g,"content",JSON.stringify(Gi)),f(h,"id","tuners"),f(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(h,"href","#tuners"),f(u,"class","relative group"),f(ae,"id","peft.LoraConfig"),f(ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(ae,"href","#peft.LoraConfig"),f(V,"class","relative group"),f(at,"href","/docs/peft/main/en/package_reference/tuners#peft.LoraModel"),f(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Se,"href","https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),f(Se,"rel","nofollow"),f(lt,"href","/docs/peft/main/en/package_reference/tuners#peft.LoraConfig"),f(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(De,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(de,"id","peft.PromptEncoderConfig"),f(de,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(de,"href","#peft.PromptEncoderConfig"),f(H,"class","relative group"),f(it,"href","/docs/peft/main/en/package_reference/tuners#peft.PromptEncoder"),f(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ve,"id","peft.PrefixTuningConfig"),f(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(ve,"href","#peft.PrefixTuningConfig"),f(J,"class","relative group"),f(dt,"href","/docs/peft/main/en/package_reference/tuners#peft.PrefixEncoder"),f(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Te,"id","peft.PromptTuningConfig"),f(Te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Te,"href","#peft.PromptTuningConfig"),f(ee,"class","relative group"),f(mt,"href","/docs/peft/main/en/package_reference/tuners#peft.PromptEmbedding"),f(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,c){e(document.head,g),m(o,k,c),m(o,u,c),e(u,h),e(h,v),$(i,v,null),e(u,_),e(u,vt),e(vt,On),m(o,Bo,c),m(o,nt,c),e(nt,Nn),m(o,Wo,c),m(o,V,c),e(V,ae),e(ae,bt),$(Ce,bt,null),e(V,Sn),e(V,Et),e(Et,zn),m(o,Jo,c),m(o,rt,c),e(rt,Dn),m(o,Ko,c),m(o,X,c),$(je,X,null),e(X,Mn),e(X,we),e(we,qn),e(we,at),e(at,In),e(we,An),m(o,Yo,c),m(o,O,c),$(Oe,O,null),e(O,Rn),e(O,$t),e($t,Un),e(O,Gn),$(se,O,null),e(O,Fn),e(O,st),e(st,Tt),e(Tt,Qn),e(st,Vn),e(O,Xn),e(O,Ne),e(Ne,le),e(le,yt),e(yt,Hn),e(le,Bn),e(le,Se),e(Se,Wn),e(le,Jn),e(Ne,Kn),e(Ne,ie),e(ie,Pt),e(Pt,Yn),e(ie,Zn),e(ie,lt),e(lt,er),e(ie,tr),e(O,or),e(O,pe),$(ze,pe,null),e(pe,nr),e(pe,Lt),e(Lt,rr),m(o,Zo,c),m(o,De,c),$(Me,De,null),m(o,en,c),m(o,qe,c),$(Ie,qe,null),m(o,tn,c),m(o,Ae,c),$(Re,Ae,null),m(o,on,c),m(o,H,c),e(H,de),e(de,kt),$(Ue,kt,null),e(H,ar),e(H,xt),e(xt,sr),m(o,nn,c),m(o,B,c),$(Ge,B,null),e(B,lr),e(B,Fe),e(Fe,ir),e(Fe,it),e(it,pr),e(Fe,dr),m(o,rn,c),m(o,x,c),$(Qe,x,null),e(x,cr),e(x,Ct),e(Ct,mr),e(x,fr),$(ce,x,null),e(x,hr),e(x,pt),e(pt,jt),e(jt,gr),e(pt,_r),e(x,ur),e(x,L),e(L,me),e(me,wt),e(wt,vr),e(me,br),e(me,Ot),e(Ot,Er),e(me,$r),e(L,Tr),e(L,F),e(F,Nt),e(Nt,yr),e(F,Pr),e(F,St),e(St,Lr),e(F,kr),e(F,zt),e(zt,xr),e(F,Cr),e(L,jr),e(L,D),e(D,Dt),e(Dt,wr),e(D,Or),e(D,Mt),e(Mt,Nr),e(D,Sr),e(D,qt),e(qt,zr),e(D,Dr),e(D,It),e(It,Mr),e(D,qr),e(L,Ir),e(L,fe),e(fe,At),e(At,Ar),e(fe,Rr),e(fe,Rt),e(Rt,Ur),e(fe,Gr),e(L,Fr),e(L,he),e(he,Ut),e(Ut,Qr),e(he,Vr),e(he,Gt),e(Gt,Xr),e(he,Hr),e(L,Br),e(L,ge),e(ge,Ft),e(Ft,Wr),e(ge,Jr),e(ge,Qt),e(Qt,Kr),e(ge,Yr),e(L,Zr),e(L,_e),e(_e,Vt),e(Vt,ea),e(_e,ta),e(_e,Xt),e(Xt,oa),e(_e,na),e(L,ra),e(L,ue),e(ue,Ht),e(Ht,aa),e(ue,sa),e(ue,Bt),e(Bt,la),e(ue,ia),e(L,pa),e(L,Q),e(Q,Wt),e(Wt,da),e(Q,ca),e(Q,Jt),e(Jt,ma),e(Q,fa),e(Q,Kt),e(Kt,ha),e(Q,ga),e(x,_a),e(x,W),e(W,ua),e(W,Yt),e(Yt,va),e(W,ba),e(W,Zt),e(Zt,Ea),e(W,$a),e(x,Ta),e(x,A),e(A,ya),e(A,eo),e(eo,Pa),e(A,La),e(A,to),e(to,ka),e(A,xa),e(A,oo),e(oo,Ca),e(A,ja),m(o,an,c),m(o,J,c),e(J,ve),e(ve,no),$(Ve,no,null),e(J,wa),e(J,ro),e(ro,Oa),m(o,sn,c),m(o,K,c),$(Xe,K,null),e(K,Na),e(K,He),e(He,Sa),e(He,dt),e(dt,za),e(He,Da),m(o,ln,c),m(o,C,c),$(Be,C,null),e(C,Ma),e(C,We),e(We,qa),e(We,ao),e(ao,Ia),e(We,Aa),e(C,Ra),$(be,C,null),e(C,Ua),e(C,ct),e(ct,so),e(so,Ga),e(ct,Fa),e(C,Qa),e(C,Y),e(Y,Ee),e(Ee,lo),e(lo,Va),e(Ee,Xa),e(Ee,io),e(io,Ha),e(Ee,Ba),e(Y,Wa),e(Y,M),e(M,po),e(po,Ja),e(M,Ka),e(M,co),e(co,Ya),e(M,Za),e(M,mo),e(mo,es),e(M,ts),e(M,fo),e(fo,os),e(M,ns),e(Y,rs),e(Y,$e),e($e,ho),e(ho,as),e($e,ss),e($e,go),e(go,ls),e($e,is),e(C,ps),e(C,Z),e(Z,ds),e(Z,_o),e(_o,cs),e(Z,ms),e(Z,uo),e(uo,fs),e(Z,hs),e(C,gs),e(C,R),e(R,_s),e(R,vo),e(vo,us),e(R,vs),e(R,bo),e(bo,bs),e(R,Es),e(R,Eo),e(Eo,$s),e(R,Ts),m(o,pn,c),m(o,ee,c),e(ee,Te),e(Te,$o),$(Je,$o,null),e(ee,ys),e(ee,To),e(To,Ps),m(o,dn,c),m(o,te,c),$(Ke,te,null),e(te,Ls),e(te,Ye),e(Ye,ks),e(Ye,mt),e(mt,xs),e(Ye,Cs),m(o,cn,c),m(o,j,c),$(Ze,j,null),e(j,js),e(j,yo),e(yo,ws),e(j,Os),e(j,ft),e(ft,Po),e(Po,Ns),e(ft,Ss),e(j,zs),e(j,Lo),e(Lo,ye),e(ye,ko),e(ko,Ds),e(ye,Ms),e(ye,xo),e(xo,qs),e(ye,Is),e(j,As),$(Pe,j,null),e(j,Rs),e(j,oe),e(oe,Us),e(oe,Co),e(Co,Gs),e(oe,Fs),e(oe,jo),e(jo,Qs),e(oe,Vs),e(j,Xs),e(j,U),e(U,Hs),e(U,wo),e(wo,Bs),e(U,Ws),e(U,Oo),e(Oo,Js),e(U,Ks),e(U,No),e(No,Ys),e(U,Zs),mn=!0},p(o,[c]){const et={};c&2&&(et.$$scope={dirty:c,ctx:o}),se.$set(et);const So={};c&2&&(So.$$scope={dirty:c,ctx:o}),ce.$set(So);const zo={};c&2&&(zo.$$scope={dirty:c,ctx:o}),be.$set(zo);const Do={};c&2&&(Do.$$scope={dirty:c,ctx:o}),Pe.$set(Do)},i(o){mn||(T(i.$$.fragment,o),T(Ce.$$.fragment,o),T(je.$$.fragment,o),T(Oe.$$.fragment,o),T(se.$$.fragment,o),T(ze.$$.fragment,o),T(Me.$$.fragment,o),T(Ie.$$.fragment,o),T(Re.$$.fragment,o),T(Ue.$$.fragment,o),T(Ge.$$.fragment,o),T(Qe.$$.fragment,o),T(ce.$$.fragment,o),T(Ve.$$.fragment,o),T(Xe.$$.fragment,o),T(Be.$$.fragment,o),T(be.$$.fragment,o),T(Je.$$.fragment,o),T(Ke.$$.fragment,o),T(Ze.$$.fragment,o),T(Pe.$$.fragment,o),mn=!0)},o(o){y(i.$$.fragment,o),y(Ce.$$.fragment,o),y(je.$$.fragment,o),y(Oe.$$.fragment,o),y(se.$$.fragment,o),y(ze.$$.fragment,o),y(Me.$$.fragment,o),y(Ie.$$.fragment,o),y(Re.$$.fragment,o),y(Ue.$$.fragment,o),y(Ge.$$.fragment,o),y(Qe.$$.fragment,o),y(ce.$$.fragment,o),y(Ve.$$.fragment,o),y(Xe.$$.fragment,o),y(Be.$$.fragment,o),y(be.$$.fragment,o),y(Je.$$.fragment,o),y(Ke.$$.fragment,o),y(Ze.$$.fragment,o),y(Pe.$$.fragment,o),mn=!1},d(o){t(g),o&&t(k),o&&t(u),P(i),o&&t(Bo),o&&t(nt),o&&t(Wo),o&&t(V),P(Ce),o&&t(Jo),o&&t(rt),o&&t(Ko),o&&t(X),P(je),o&&t(Yo),o&&t(O),P(Oe),P(se),P(ze),o&&t(Zo),o&&t(De),P(Me),o&&t(en),o&&t(qe),P(Ie),o&&t(tn),o&&t(Ae),P(Re),o&&t(on),o&&t(H),P(Ue),o&&t(nn),o&&t(B),P(Ge),o&&t(rn),o&&t(x),P(Qe),P(ce),o&&t(an),o&&t(J),P(Ve),o&&t(sn),o&&t(K),P(Xe),o&&t(ln),o&&t(C),P(Be),P(be),o&&t(pn),o&&t(ee),P(Je),o&&t(dn),o&&t(te),P(Ke),o&&t(cn),o&&t(j),P(Ze),P(Pe)}}}const Gi={local:"tuners",sections:[{local:"peft.LoraConfig",title:"LoRA"},{local:"peft.PromptEncoderConfig",title:"P-tuning"},{local:"peft.PrefixTuningConfig",title:"Prefix tuning"},{local:"peft.PromptTuningConfig",title:"Prompt tuning"}],title:"Tuners"};function Fi(G){return Mi(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Wi extends Ni{constructor(g){super();Si(this,g,Fi,Ui,zi,{})}}export{Wi as default,Gi as metadata};
